<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;


use App\Models\Element;
use Spatie\Permission\Models\Permission;

use DataTables;

use Brian2694\Toastr\Facades\Toastr;

class ElementController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    function __construct()
    {
         //$this->middleware('permission:role-list|role-create|role-edit|role-delete', ['only' => ['index','store']]);
         $this->middleware('permission:Permissions-list|Permissions-show', ['only' => ['index','show']]);
         $this->middleware('permission:Permissions-create', ['only' => ['create','store']]);
         $this->middleware('permission:Permissions-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:Permissions-delete', ['only' => ['destroy']]);
    }





    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->spermission) || !empty($request->scategory))
              {

                $query = DB::table('elements');
                $query = $query->select('*', 'permissioncats.category');
                $query = $query->leftJoin('permissioncats', 'permissioncats.catid', '=', 'elements.catid'); 

                if(!empty($request->spermission)) {
                    $query = $query->where('elements.element', 'LIKE',"%{$request->spermission}%");
                };

                if(!empty($request->scategory)) {
                    $query = $query->where('elements.catid', '=',$request->scategory);
                };                

                $data= $query->get(); 
                //$data= $query; 

              }
              else
              {
                $query = DB::table('elements');
                $query = $query->select('*', 'permissioncats.catid', 'permissioncats.category');
                $query = $query->leftJoin('permissioncats', 'permissioncats.catid', '=', 'elements.catid'); 
                $data= $query->get(); 

              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('admin.elements.show',$row->id);
                $edit =  route('admin.elements.edit',$row->id);
                $delete =  route('admin.elements.destroy',$row->id);
                $token =  csrf_token();    



                return "<div class='btn-group'>
                            <button  data-bs-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' >
                              <a class='dropdown-item' href='#' onclick='EditData(this)' id='$row->id' data-bs-toggle='modal' data-bs-target='#editmodal'><i class='fas fa-edit text-green'></i><small> Edit</small></a>
                              <a class='dropdown-item' href='#' onclick='DeletePermission(this)' id='$row->id'><i class='fas fa-trash text-red'></i><small> Delete</small></a>

                            </div>
                        </div>";


                
/*                    return "<div class='btn-group'>
                                <button aria-expanded='false' aria-haspopup='true' data-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                                <small>Action</small> 
                                <span class='caret'></span></button>

                                <div class='dropdown-menu' style='font-size:12px'>
                                  <a class='dropdown-item' href='#' id=".$row->id. " onclick='EditData(this)' title='Edit' data-toggle='modal' data-target='#modal-edit' class='m-r-15 crm-action-edit text-muted'><i class='fa fa-edit text-green'></i><small> Edit</small></a>
                                  <form action='{$delete}' method='POST' name='deleteform' onsubmit=\'return confirm('Are you sure you want to Delete Selected Record?');\' style='display: inline-block;'>".
                                   "<input type='hidden' name='_method' value='DELETE'>".
                                   "<input type='hidden' name='_token' value='{$token}'>". 
                                   "<button type='submit' title = 'Delete' class='dropdown-item' style='border:none; background:none; cursor:pointer;'><i class='fa fa-trash-alt text-red'></i><small> Delete</small></button>".
                                   "</form>
                                </div>
                            </div>";*/


                
            })

            ->make(true);

         }



        $permissioncats = DB::table("permissioncats")->orderBy('category', 'ASC')->get(); 

        return view('admin.elements.index', compact('permissioncats'));
              
         
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Element $elements)
    {
        $elements->element = $request->element;
        $elements->description = $request->description;
        
        //$categories = explode('|', $request->category);
        //$categoryno = $categories[0];
        //$category = $categories[1];

        //$elements->permissioncat_id = $request->category;
        $elements->catid = $request->category;
        $elements->sortno = $request->sortno;

        $elements->save();


        for($i = 1; $i <= 5; $i++) {
            $permissions = new Permission;
            if($i==1){
                $permissions->name = $request->element. "-list";
            }
            if($i == 2){
                $permissions->name = $request->element. "-create";
            }
            if($i == 3){
                $permissions->name = $request->element. "-edit";
            }
            if($i == 4){
                $permissions->name = $request->element. "-delete";
            }
            if($i == 5){
                $permissions->name = $request->element. "-import";
            }

            $permissions->element = $request->element;
            $permissions->sortno = $request->sortno;
            $permissions->catid = $request->category;
            $permissions->description = $request->description;
            $permissions->guard_name = "web";
            $permissions->save();
        } 

        $elementid = $elements->id;

        $elements2 = DB::table('elements')->where('id', '!=', $elementid)->where('sortno', '>=', $request->sortno)->where('catid', $request->category)->orderBy('sortno', 'ASC')->get();
        $sortno = $request->sortno;
        foreach($elements2 as $elements2){
            $sortno = $sortno + 1;
            $elements3 = Element::where('id', '=', $elements2->id)->first();
            $elements3->sortno = $sortno;
            $elements3->save();
        }

        $permissions2 = DB::table('permissions')->where('element', '!=', $request->element)->where('sortno', '>=', $request->sortno)->where('catid', $request->category)->orderBy('sortno', 'ASC')->get();
        $sortno = $request->sortno;
        $element = "";
        foreach($permissions2 as $permissions2){
            $element2 = $permissions2->element;            
            if($element != $element2){
                $sortno = $sortno + 1;
                $element = $element2;    
            }
            
            $permissions3 = Permission::where('id', '=', $permissions2->id)->first();
            $permissions3->sortno = $sortno;
            $permissions3->save();
        }





        //Toastr::warning('Group Permission Added Successfully :)','Group Permission');     
        //return json_encode(array('statusCode'=>200));
        return redirect()->route('admin.elements.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $elements = DB::table('elements')->where('id', $id)->first();
        $element = $elements->element;

        //Element::destroy($id);
        
        $permissions = DB::table('permissions')->where('element', $element)->get();
        foreach($permissions as $permission){
            $rolepermissions = DB::table('role_has_permissions')->where('permission_id', $permission->id)->delete();
        }
        $elements = DB::table('elements')->where('id', $id)->delete();
        $permissions = DB::table('permissions')->where('element', $element)->delete();    

        //return json_encode(array('statusCode'=>200));
        //return redirect()->route('admin.elements.index'); 

    }

    public function getElements(Request $request) 
    {

        $id = $request->id;

        $elements = DB::table('elements')->where('id', $id)->first();
        $element = $elements->element;
        $description = $elements->description;
        $catid = $elements->catid;
        $sortno = $elements->sortno;
        $permissioncats = DB::table('permissioncats')->where('catid', $catid)->first();
        $category = $permissioncats->category;

        echo $id. "|". $element. "|". $description. "|". $catid. "|". $category. "|". $sortno;

    }  

    public function updateElements(Request $request) 
    {
        $id = $request->id;
        $elements = Element::where('id', '=', $id)->first(); 
        $oldelement = $elements->element;
        $elements->element = $request->element;
        $elements->description = $request->description;
        $elements->catid = $request->catid;
        $elements->sortno = $request->sortno;
        $elements->save();

        $permissions = DB::table('permissions')->where('element', $oldelement)->orderBy('id', 'ASC')->get(); 
        $x = 1;
        foreach($permissions as $permission1){
            $editpermission = Permission::where('id', '=', $permission1->id)->first(); 
            if($x == 1){
                $editpermission->name = $request->element. "-list";
            }
            if($x == 2){
                $editpermission->name = $request->element. "-create";
            }            
            if($x == 3){
                $editpermission->name = $request->element. "-edit";
            } 
            if($x == 4){
                $editpermission->name = $request->element. "-delete";
            }
            if($x == 5){
                $editpermission->name = $request->element. "-import";
            }

            $editpermission->element = $request->element;
            $editpermission->sortno = $request->sortno;
            $editpermission->description = $request->description;
            $editpermission->save();
            $x = $x + 1;
        }

        $elementid = $elements->id;

        $elements2 = DB::table('elements')->where('id', '!=', $elementid)->where('sortno', '>=', $request->sortno)->where('catid', $request->catid)->orderBy('sortno', 'ASC')->get();
        $sortno = $request->sortno;
        foreach($elements2 as $elements2){
            $sortno = $sortno + 1;
            $elements3 = Element::where('id', '=', $elements2->id)->first();
            $elements3->sortno = $sortno;
            $elements3->save();
        }


        $permissions2 = DB::table('permissions')->where('element', '!=', $request->element)->where('sortno', '>=', $request->sortno)->where('catid', $request->catid)->orderBy('sortno', 'ASC')->get();
        $sortno = $request->sortno;
        $element = "";
        foreach($permissions2 as $permissions2){
            $element2 = $permissions2->element;            
            if($element != $element2){
                $sortno = $sortno + 1;
                $element = $element2;    
            }
            
            $permissions3 = Permission::where('id', '=', $permissions2->id)->first();
            $permissions3->sortno = $sortno;
            $permissions3->save();
        }

        return json_encode(array('statusCode'=>200));
    } 

    public function deleteElements(Request $request)
    {
        $id = $request->id;
        $elements = DB::table('elements')->where('id', $id)->first();
        $element = $elements->element;
        //Element::destroy($id);
        
        $permissions = DB::table('permissions')->where('element', $element)->get();
        foreach($permissions as $permission){
            $rolepermissions = DB::table('role_has_permissions')->where('permission_id', $permission->id)->delete();
        }
        $elements = DB::table('elements')->where('id', $id)->delete();
        $permissions = DB::table('permissions')->where('element', $element)->delete();    

        //return json_encode(array('statusCode'=>200));
        //return redirect()->route('admin.elements.index'); 
        return json_encode(array('statusCode'=>200));

    }    
}
