<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;  
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

use App\Imports\EmployeesImport;
use Maatwebsite\Excel\Facades\Excel;
use Illuminate\Support\Facades\Notification;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use App\Notifications\AllNotification;
use Illuminate\Bus\Queueable;

//Job Batching
use App\Jobs\UpdateJobEmployees;
use App\Jobs\TemployeeJob;
use Illuminate\Bus\Batch;
use Illuminate\Support\Facades\Bus;
use Throwable;


use App\Auth;
use App\Models\Tdependent;
use App\Models\Teducation;
use App\Models\Tcertification;
use App\Models\Employee;
use App\Models\Position;
use App\Models\Division;
use App\Models\Department;
use App\Models\Branch;
use App\Models\Empstatus;
use App\Models\Dependent;
use App\Models\Education;
use App\Models\Certification;
use App\Models\Coe;
//use App\Models\Rating;

//use App\Models\Violation;
//use App\Models\Casecategory;
//use App\Models\Degree;
//use App\Models\Disciplinary;
use App\Models\Designation;
use App\Models\User;
//use App\Models\Credittype;
//use App\Models\Leavetype;
//use App\Models\Empleave;
//use App\Models\Templeave;
use App\Models\Reminder;


use App\Models\Barangay;
use App\Models\Province;
use App\Models\City;

use DataTables;
use Brian2694\Toastr\Facades\Toastr;
use Carbon\Carbon;
use DateTime;

use App\Models\Batchstatus;
use Response;

use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;
use File;

class EmployeeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    function __construct()
    {
         //$this->middleware('permission:role-list|role-create|role-edit|role-delete', ['only' => ['index','store']]);
         $this->middleware('permission:Employees-list|Employees-show', ['only' => ['index','show']]);
         $this->middleware('permission:Employees-list', ['only' => ['show']]);
         $this->middleware('permission:Employees-create', ['only' => ['create','store']]);
         $this->middleware('permission:Employees-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:Employees-delete', ['only' => ['destroy']]);
         $this->middleware('permission:Employees-import', ['only' => ['importExportView']]);
    }

    public function index(Request $request)
    {
       
        $positions = Position::orderby('posidesc')->get()->all();
        $divisions = Division::get()->all();
        $departments = Department::orderby('department')->orderBy('department', 'ASC')->get()->all();
        $branches = Branch::orderBy('branch', 'ASC')->get()->all();
        $empstatuses = Empstatus::get()->all();

         if(request()->ajax())
         {
              if( !empty($request->empno) || !empty($request->employid) || !empty($request->fullname) || !empty($request->gender) || !empty($request->civilstat) || !empty($request->posicode) || !empty($request->divcode) || !empty($request->deptcode) || !empty($request->branchcode)  || !empty($request->Empstatus) || !empty($request->status))
              {

                $query = DB::table('employees');
                $query = $query->select('employees.*', 'positions.posidesc', 'divisions.division', 'departments.department', 'branches.branch');
                $query = $query->leftJoin('positions', 'employees.posicode', '=', 'positions.posicode');
                $query = $query->leftJoin('divisions', 'employees.divcode', '=', 'divisions.divcode');
                $query = $query->leftJoin('departments', 'employees.deptcode', '=', 'departments.deptcode');
                $query = $query->leftJoin('branches', 'employees.branchcode', '=', 'branches.branchcode');

                if(!empty($request->empno)) {
                    $query = $query->where('employees.empno', '=', $request->empno);
                };

                if(!empty($request->employid)) {
                    $query = $query->where('employees.s_employid', '=', $request->employid);
                };

                if(!empty($request->fullname)) {
                    $query = $query->where('employees.fullname', 'LIKE',"%{$request->fullname}%");
                };

                if(!empty($request->gender)) {
                    $query = $query->where('employees.gender', '=', $request->gender);
                };


                if(!empty($request->civilstat)) {
                    $query = $query->where('employees.civilstat', '=',$request->civilstat);
                };

                if(!empty($request->posicode)) {
                    $query = $query->where('employees.posicode', '=',$request->posicode);
                };

                if(!empty($request->divcode)) {
                    $query = $query->where('employees.divcode', '=',$request->divcode);
                };

                if(!empty($request->deptcode)) {
                    $query = $query->where('employees.deptcode', '=',$request->deptcode);
                };

                if(!empty($request->branchcode)) {
                    $query = $query->where('employees.branchcode', '=',$request->branchcode);
                };

                if(!empty($request->Empstatus)) {
                    $query = $query->where('employees.Empstatus', '=',$request->Empstatus);
                };
                if(!empty($request->status)) {
                    $query = $query->where('employees.status', '=', $request->status);
                };                


                $data= $query; 
                //$data= $query->get(); 


              }
              else
              {

                 $data = DB::table('employees')
                   ->select('employees.*', 'positions.posidesc', 'divisions.division', 'departments.department', 'branches.branch')
                    ->leftJoin('divisions', 'divisions.divcode', '=', 'employees.divcode')
                    ->leftJoin('departments', 'departments.deptcode', '=', 'employees.deptcode')
                    ->leftJoin('branches', 'branches.branchcode', '=', 'employees.branchcode')
                    ->leftJoin('positions', 'positions.posicode', '=', 'employees.posicode');

                    //->get();   
              }

             return datatables()->of($data)        
            ->addColumn('action', function ($row) {
                $show = route('admin.employees.show',$row->id);
                $edit =  route('admin.employees.edit',$row->id);
                $delete =  route('admin.employees.destroy',$row->id);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";

                return "<div class='btn-group'>
                            <button  data-bs-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' >
                              <a class='dropdown-item' href='{$show}'><i class='fas fa-desktop text-blue'></i><small> View</small></a>
                              <a class='dropdown-item' href='{$edit}'><i class='fas fa-edit text-green'></i><small> Edit</small></a>
                              <form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                               "<input type='hidden' name='_method' value='DELETE'>".
                               "<input type='hidden' name='_token' value='{$token}'>". 
                               "<button type='submit' title = 'Delete' class='dropdown-item' style='border:none; background:none; cursor:pointer;'><i class='fa fa-trash text-red'></i><small> Delete</small></button>".
                               "</form>
                            </div>
                        </div>";


                
            })
            ->editColumn('id', 'ID: {{$id}}')            
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }


         $employees = DB::table('employees')
            ->select('employees.*', 'positions.posidesc', 'divisions.division', 'departments.department', 'branches.branch')
            ->leftJoin('positions', 'employees.posicode', '=', 'positions.posicode')
            ->leftJoin('divisions', 'employees.divcode', '=', 'divisions.divcode')
            ->leftJoin('departments', 'employees.deptcode', '=', 'departments.deptcode')
            ->leftJoin('branches', 'employees.branchcode', '=', 'branches.branchcode')
            ->orderBy('employees.lname', 'ASC')
            ->orderBy('employees.fname', 'ASC')
            ->orderBy('employees.mname', 'ASC');
            //->get();

        $userid = auth()->user()->id;     
        if($batchstatus = DB::table('batchstatuses')->where('userid','=',$userid)->where('tablename','=','employeestemps')->orderBy('id', 'DESC')->first()){
            $jobbatches = DB::table('job_batches')->where('id','=',$batchstatus->batchid)->first();     
             $agent = new \Jenssegers\Agent\Agent;    
             if($result = $agent->isDesktop()){
                return view('admin.employees.index', compact('employees','positions', 'divisions', 'departments', 'branches', 'empstatuses', 'batchstatus', 'jobbatches'));
             } else {
                return view('admin.employees.indexm', compact('employees','positions', 'divisions', 'departments', 'branches', 'empstatuses', 'batchstatus', 'jobbatches'));
             }            
            
        }  else {
             $agent = new \Jenssegers\Agent\Agent;    
             if($result = $agent->isDesktop()){
                return view('admin.employees.index', compact('employees','positions', 'divisions', 'departments', 'branches', 'empstatuses'));
             } else {
                return view('admin.employees.index', compact('employees','positions', 'divisions', 'departments', 'branches', 'empstatuses'));
             } 
            
        }

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {

        $positions = Position::orderBy('posidesc', 'ASC')->get()->all();
        $divisions = Division::get()->all();
        $departments = Department::orderBy('department', 'ASC')->get()->all();
        $branches = Branch::orderBy('branch', 'ASC')->get()->all();
        $empstatuses = Empstatus::get()->all();
        $paytypes = DB::table('paytypes')->get();  
        //$credittypes = Credittype::get()->all();
        //$leavetypes = Leavetype::get()->all();
        
        $id = auth()->user()->id;
        //$deletetempleaves = DB::table('templeaves')->where('userid','=', $id)->delete();  

        $regions = DB::table('regions2')->get();
        $regions2 = DB::table('regions2')->get();

        return view('admin.employees.create', compact('positions', 'divisions', 'departments', 'branches', 'empstatuses', 'regions' , 'regions2', 'paytypes'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store(Request $request, Employee $employees, Dependent $dependents, Designation $designations, User $users)
    {

/*        if ($request->hasFile('emp_photo')){
            if($request->emp_photo->getClientOriginalName())
            {
                $ext = $request->emp_photo->getClientOriginalExtension();
                $filenameWithExt = $request->emp_photo->getClientOriginalName();    
                $fileExtension = $request->emp_photo->getClientOriginalExtension();
                $newFilename = $request->s_employid. '-'. Str::random(40). '.' . $fileExtension;

                $emp_photo = $newFilename;
                $request->emp_photo->storeAs('public/employees', $emp_photo);

            }else{
                $emp_photo='user.png';            
            }
        } else {
           $emp_photo='user.png';        
        }*/

        if ($request->hasFile('emp_photo')){

            $uid =  auth()->user()->id;
            $x = 1;
            $storagePath = storage_path() . '/app/uploads/employees/';
            $filenameWithExt = $request->emp_photo->getClientOriginalName();    
            $fileExtension = $request->emp_photo->getClientOriginalExtension();
            $newFilename = $request->empno. '-'. Str::random(40). '.' . $fileExtension;
            $storagePath = storage_path() . '/app/uploads/employees/';
            $request->emp_photo->move($storagePath, $newFilename);
            $emp_photo = $newFilename;
        } else {
            $emp_photo='';    
        } 



        if ($request->hasFile('emp_resume')){

            $uid =  auth()->user()->id;
            $x = 1;
            $storagePath = storage_path() . '/app/uploads/resumes/';
            $filenameWithExt = $request->emp_resume->getClientOriginalName();    
            $fileExtension = $request->emp_resume->getClientOriginalExtension();
            $newFilename = $request->empno. '-'. Str::random(40). '.' . $fileExtension;
            $storagePath = storage_path() . '/app/uploads/resumes/';
            $request->emp_resume->move($storagePath, $newFilename);
            $emp_resume = $newFilename;
        } else {
            $emp_resume='';    
        }         
        
        $employees->emp_photo = $emp_photo;
        $employees->emp_resume = $emp_resume;

        $employees->empno = $request->empno;
        $employees->lname = $request->lname;
        $employees->fname = $request->fname;
        $employees->mname = $request->mname;
        $employees->suffix = $request->suffix;
        $employees->fullname = $request->fname. " ". substr($request->mname, 0, 1). ". ". $request->lname. " ".  $request->suffix;
        $employees->fullname2 = $request->lname. ", ". $request->fname. " ". substr($request->mname, 0, 1). ". ".  $request->suffix;
        $employees->birthdate = $request->birthdate;
        $employees->gender = $request->gender;
        $employees->civilstat = $request->civilstat;

        $employees->curaddress = $request->curaddress;
        if(!empty($request->region)){
            $region = explode('|', $request->region);
            $employees->curregcode = $region[0];
            $employees->curregion = $region[1];
        }
        if(!empty($request->province)){
            $province = explode('|', $request->province);
            $employees->curprovcode = $province[0];
            $employees->curprovince = $province[1];   
        }     
        if(!empty($request->city)){
            $city = explode('|', $request->city);
            $employees->curcmcode = $city[0];
            $employees->curcity = $city[1];  
        }
        if(!empty($request->barangay)){
            $barangay = explode('|', $request->barangay);
            $employees->curbrgycode = $barangay[0];
            $employees->curbrgy = $barangay[1];  
        }

        $employees->curzipcode = $request->zipcode;

        if($request->same == "same"){
            $employees->peraddress = $request->curaddress;
            if(!empty($request->region)){
                $region = explode('|', $request->region);
                $employees->perregcode = $region[0];
                $employees->perregion = $region[1];  
            }          
            if(!empty($request->province)){
                $province = explode('|', $request->province);
                $employees->perprovcode = $province[0];
                $employees->perprovince = $province[1]; 
            }
            if(!empty($request->city)){
                $city = explode('|', $request->city);
                $employees->percmcode = $city[0];
                $employees->percity = $city[1]; 
            } 
            if(!empty($request->barangay)){
                $barangay = explode('|', $request->barangay);
                $employees->perbrgycode = $barangay[0];
                $employees->perbrgy = $barangay[1]; 
            }

            $employees->perzipcode = $request->zipcode;   
        } else {
            $employees->peraddress = $request->peraddress;
            if(!empty($request->region2)){
                $region2 = explode('|', $request->region2);
                $employees->perregcode = $region2[0];
                $employees->perregion = $region2[1]; 
            }           
            if(!empty($request->province2)){
                $province2 = explode('|', $request->province2);
                $employees->perprovcode = $province2[0];
                $employees->perprovince = $province2[1]; 
            }
            if(!empty($request->city2)){
                $city2 = explode('|', $request->city2);
                $employees->percmcode = $city2[0];
                $employees->percity = $city2[1]; 
            } 
            if(!empty($request->barangay2)){
                $barangay2 = explode('|', $request->barangay2);
                $employees->perbrgycode = $barangay2[0];
                $employees->perbrgy = $barangay2[1]; 
                $employees->perzipcode = $request->zipcode2;
            }   
        }


        $employees->phoneno = $request->phoneno;
        $employees->mobileno = $request->mobileno;
        $employees->ffname = $request->ffname;
        $employees->mfname = $request->mfname;
        $employees->contactp = $request->contactp;
        $employees->contactno = $request->contactno;

        $employees->posicode = $request->posicode;
        $employees->divcode = $request->divcode;
        $employees->deptcode = $request->deptcode;
        $employees->branchcode = $request->branchcode;

        $employees->datehired = $request->datehired;
        $employees->regulardate = $request->regulardate;
        $employees->resigdate = $request->resigdate;
        $employees->sepadate = $request->sepadate;
        $employees->sepanature = $request->sepanature;

        $employees->payrolltype = $request->payrolltype;
        $employees->tin = $request->tin;
        $employees->sssno = $request->sssno;
        $employees->hdmfno = $request->hdmfno;
        $employees->philhealthno = $request->philhealthno;
        $employees->bankacctno = $request->bankacctno;
        $employees->bankcode = $request->bankcode;
        $employees->empstatus = $request->empstatus;
        $employees->s_employid = $request->s_employid;

        $employees->status = "Active";
        $empno = $request->empno;
        $name = $request->fname. " ". $request->lname;

        //$request->session()->put('regempno', $request->empno);

        $isExist = Employee::select("*")->where("empno", "$request->empno")->exists();
        if ($isExist)
        {
            dd('Employee Number Already Exists!');
        } else {

            $employees->save();

            $userid = auth()->user()->id;      
            $tdependents = DB::table('tdependents')->where('userid','=', $userid)->get();

            foreach($tdependents as $tdependents){
              $dependents = new Dependent;
              $dependents->s_employid = $request->s_employid;
              $dependents->name = $tdependents->name;
              $dependents->relationship = $tdependents->relationship;
              $dependents->gender = $tdependents->gender;
              $dependents->birthdate = $tdependents->birthdate;
              $dependents->save();
            }

            $teducations = DB::table('teducations')->where('userid','=', $userid)->get();
            
            foreach($teducations as $teducations){
              $educations = new Education;
              $educations->s_employid = $request->s_employid;
              $educations->course = $teducations->course;
              $educations->school = $teducations->school;
              $educations->yearfrom = $teducations->yearfrom;
              $educations->yearto = $teducations->yearto;
              $educations->save();
            }     

            $tcertifications = DB::table('tcertifications')->where('userid','=', $userid)->get();
            
            foreach($tcertifications as $tcertifications){
              $certifications = new Certification;
              $certifications->s_employid = $request->s_employid;
              $certifications->title = $tcertifications->title;
              $certifications->issuedon = $tcertifications->issuedon;
              $certifications->validuntil = $tcertifications->validuntil;
              $certifications->save();
            }  


            $userid = auth()->user()->id;      
            $deletetdependents = DB::table('tdependents')->where('userid','=', $userid)->delete();    
            $deleteteducations = DB::table('teducations')->where('userid','=', $userid)->delete();                        
            $deletetcertifications = DB::table('tcertifications')->where('userid','=', $userid)->delete(); 

            //$coes->s_employid=$request->empno;
            //$coes->save();            


            if($request->posicode != "" || $request->divcode != ""  || $request->deptcode != ""  || $request->branchcode != ""  || $request->datehired != ""){
              $designations = new Designation;
              $designations->s_employid=$request->s_employid;
              $designations->posicode=$request->posicode;
              $designations->divcode=$request->divcode;
              $designations->deptcode=$request->deptcode;
              $designations->branchcode=$request->branchcode;
              $designations->startdate=$request->datehired;
              $designations->save();    
            }

/*            $users = new User;
            $users->s_employid=$request->s_employid;
            $users->empno=$request->empno;
            $users->name=$request->fname. " ". $request->mname. " ". $request->lname. " ".  $request->suffix;
            $users->email=$request->empno. "@". "sjd.com";
            $users->status="Active";
            $users->password=bcrypt("1234");
            $users->save(); */                       


            Toastr::success('Employee Added Successfully :)','Employee');

            return redirect()->route('admin.employees.index'); 
            //return redirect()->route('editgovid', app('request')->input('empno')); 
           
        }
    }

    /**
     * Display the specified resource.  
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
  
        
        $employees = DB::table('employees')->where('id', $id)->first();
        $users = DB::table('users')->where('s_employid', $employees->s_employid)->first();
        $positions = Position::orderBy('posidesc', 'ASC')->get()->all();
        $posidescs = DB::table('positions')->where('posicode', $employees->posicode)->first();
        $divisions = Division::get()->all();
        $divdescs = DB::table('divisions')->where('divcode', $employees->divcode)->first(); 
        $departments = Department::orderBy('department', 'ASC')->get()->all();
        $deptdescs = DB::table('departments')->where('deptcode', $employees->deptcode)->first();  
        $branches = Branch::orderBy('branch', 'ASC')->get()->all();
        $branchnames = DB::table('branches')->where('branchcode', $employees->branchcode)->first();   

        $regionname = DB::table('regions2')->where('code', $employees->curregcode)->first(); 
        $provincename = DB::table('provinces')->where('code', $employees->curprovcode)->first(); 
        $cityname = DB::table('cities')->where('code', $employees->curcmcode)->first(); 
        $brgyname = DB::table('barangays')->where('code', $employees->curbrgycode)->first(); 

        $regionname2 = DB::table('regions2')->where('code', $employees->perregcode)->first(); 
        $provincename2 = DB::table('provinces')->where('code', $employees->perprovcode)->first(); 
        $cityname2 = DB::table('cities')->where('code', $employees->percmcode)->first(); 
        $brgyname2 = DB::table('barangays')->where('code', $employees->perbrgycode)->first();   

        $empstatuses = Empstatus::get()->all();

        $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('admin.employees.show', compact('employees', 'positions', 'posidescs', 'divisions', 'divdescs', 'departments', 'deptdescs', 'branches', 'branchnames', 'regionname', 'provincename', 'cityname', 'brgyname', 'regionname2', 'provincename2', 'cityname2', 'brgyname2', 'empstatuses', 'users')); 
         } else {
            return view('admin.employees.show', compact('employees', 'positions', 'posidescs', 'divisions', 'divdescs', 'departments', 'deptdescs', 'branches', 'branchnames', 'regionname', 'provincename', 'cityname', 'brgyname', 'regionname2', 'provincename2', 'cityname2', 'brgyname2', 'empstatuses', 'users')); 
         } 

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {

        $employees = DB::table('employees')->where('id', $id)->first();
        $userid = auth()->user()->id;
        //$posidescs = Position::with('employee')->get();

        $positions = Position::orderBy('posidesc', 'ASC')->get()->all();
        if(empty(DB::table('positions')->where('posicode', $employees->posicode)->first())){
            $posidescs = "No Position Yet";
        } else {
            $posidescs = DB::table('positions')->where('posicode', $employees->posicode)->first();
        }
        
        $divisions = Division::get()->all();
        $divdescs = DB::table('divisions')->where('divcode', $employees->divcode)->first();        
        $departments = Department::orderBy('department', 'ASC')->get()->all();
        $deptdescs = DB::table('departments')->where('deptcode', $employees->deptcode)->first();   
        $branches = Branch::orderBy('branch', 'ASC')->get()->all();
        $branchnames = DB::table('branches')->where('branchcode', $employees->branchcode)->first(); 
        $empstatuses = Empstatus::get()->all();
        $paytypes = DB::table('paytypes')->get(); 
        //$violations = Violation::get()->all();
        //$casecategories = Casecategory::get()->all();
        //$degrees = Degree::get()->all();
        //$disciplinaries = Disciplinary::get()->all();
        //$credittypes = Credittype::get()->all();
        //$leavetypes = Leavetype::orderBy('leavetype', 'ASC')->get()->all();

        $regions = DB::table('regions2')->get();
        $regions2 = DB::table('regions2')->get();

        $regionname = DB::table('regions2')->where('code', $employees->curregcode)->first(); 
        $provincename = DB::table('provinces')->where('code', $employees->curprovcode)->first(); 
        $cityname = DB::table('cities')->where('code', $employees->curcmcode)->first(); 
        $brgyname = DB::table('barangays')->where('code', $employees->curbrgycode)->first(); 

        $regionname2 = DB::table('regions2')->where('code', $employees->perregcode)->first(); 
        $provincename2 = DB::table('provinces')->where('code', $employees->perprovcode)->first(); 
        $cityname2 = DB::table('cities')->where('code', $employees->percmcode)->first(); 
        $brgyname2 = DB::table('barangays')->where('code', $employees->perbrgycode)->first();  

        $tdependents = DB::table('tdependents')->where('s_employid','=', $employees->s_employid)->where('userid','=', $userid)->delete();
        $dependents = DB::table('dependents')->where('s_employid','=', $employees->s_employid)->get();
        foreach($dependents as $dependents1){
          $tdependents = new Tdependent;
          $tdependents->userid = $userid;
          $tdependents->s_employid = $employees->s_employid;
          $tdependents->name = $dependents1->name;
          $tdependents->relationship = $dependents1->relationship;
          $tdependents->gender = $dependents1->gender;
          $tdependents->birthdate = $dependents1->birthdate;
          $tdependents->save();
        }  

        $teducations = DB::table('teducations')->where('s_employid','=', $employees->s_employid)->where('userid','=', $userid)->delete();
        $education = DB::table('education')->where('s_employid','=', $employees->s_employid)->get();
        foreach($education as $education1){
          $teducations = new Teducation;
          $teducations->userid = $userid;
          $teducations->s_employid = $employees->s_employid;
          $teducations->course = $education1->course;
          $teducations->school = $education1->school;
          $teducations->yearfrom = $education1->yearfrom;
          $teducations->yearto = $education1->yearto;
          $teducations->save();
        }

        $tcertifications = DB::table('tcertifications')->where('s_employid','=', $employees->s_employid)->where('userid','=', $userid)->delete();
        $certifications = DB::table('certifications')->where('s_employid','=', $employees->s_employid)->get();
        foreach($certifications as $certifications1){
          $tcertifications = new Tcertification;
          $tcertifications->userid = $userid;
          $tcertifications->s_employid = $employees->s_employid;
          $tcertifications->title = $certifications1->title;
          $tcertifications->issuedon = $certifications1->issuedon;
          $tcertifications->validuntil = $certifications1->validuntil;
          $tcertifications->save();          
        } 



        return view('admin.employees.edit', compact('employees', 'positions', 'posidescs','divisions', 'divdescs', 'departments', 'deptdescs', 'branches', 'branchnames', 'empstatuses',  'regions', 'regions2', 'regionname', 'provincename', 'cityname', 'brgyname', 'regionname2', 'provincename2', 'cityname2', 'brgyname2', 'paytypes')); 

        //return view('admin.employees.edit', compact('employees', 'positions', 'posidescs', 'divisions', 'divdescs', 'departments', 'deptdescs')); 

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $employees = Employee::where('id', '=', $id)->first(); 
        $s_employid = $employees->s_employid;

/*        if ($request->hasFile('emp_photo')){
            if($request->emp_photo->getClientOriginalName())
            {
                $emp_photo = $employees->emp_photo;
                $image_path = storage_path() . '/app/public/employees/'. $emp_photo;
                
                if(file_exists($image_path)){
                    unlink($image_path);
                }

                $fileExtension = strtolower($request->file('emp_photo')->getClientOriginalExtension());
                $newFilename = $s_employid. '-'. Str::random(40). '.' . $fileExtension;
                $emp_photo = $newFilename;
                $request->emp_photo->storeAs('public/employees', $emp_photo);
                $employees->emp_photo = $emp_photo;   

            }
        }*/
        
        if ($request->hasFile('emp_photo')){
            if($request->emp_photo->getClientOriginalName())
            {
                $emp_photo = $request->emp_photo->getClientOriginalName();
                $image_path = storage_path() . '/app/uploads/employees/'. $employees->emp_photo;
                if($employees->emp_photo != "user.png"){
                    if(file_exists($image_path)){
                        unlink($image_path);
                    }                
                }
                $fileExtension = strtolower($request->file('emp_photo')->getClientOriginalExtension());
                $newFilename = $s_employid. '-'. Str::random(40). '.' . $fileExtension;
                $storagePath = storage_path() . '/app/uploads/employees/';
                $request->file('emp_photo')->move($storagePath, $newFilename);
                $employees->emp_photo = $newFilename;  
            } 
        } 

        if ($request->hasFile('emp_resume')){
            if($request->emp_resume->getClientOriginalName())
            {

                $emp_resume = $request->emp_resume->getClientOriginalName();
                $image_path = storage_path() . '/app/uploads/resumes/'. $employees->emp_resume;
                
                if(file_exists($image_path)){
                    unlink($image_path);
                }                
                $fileExtension = strtolower($request->file('emp_resume')->getClientOriginalExtension());
                $newFilename = $s_employid. '-'. Str::random(40). '.' . $fileExtension;
                $storagePath = storage_path() . '/app/uploads/resumes/';
                $request->file('emp_resume')->move($storagePath, $newFilename);
                $employees->emp_resume = $newFilename;  
            } 
         
        } 


  

        $employees->empno = $request->empno;
        $employees->lname = $request->lname;
        $employees->fname = $request->fname;
        $employees->mname = $request->mname;
        $employees->suffix = $request->suffix;
        $employees->fullname = $request->fname. " ". substr($request->mname, 0, 1). ". ". $request->lname. " ".  $request->suffix;
        $employees->birthdate = $request->birthdate;
        $employees->gender = $request->gender;
        $employees->civilstat = $request->civilstat;

        $employees->curaddress = $request->curaddress;
        $region = explode('|', $request->region);
        $employees->curregcode = $region[0];
        $employees->curregion = $region[1];

        $province = explode('|', $request->province);
        $employees->curprovcode = $province[0];
        $employees->curprovince = $province[1];        

        $city = explode('|', $request->city);
        $employees->curcmcode = $city[0];
        $employees->curcity = $city[1];  

        $barangay = explode('|', $request->barangay);
        $employees->curbrgycode = $barangay[0];
        $employees->curbrgy = $barangay[1];  

        $employees->curzipcode = $request->zipcode;

        if($request->same == "same"){
            $employees->peraddress = $request->curaddress;
            $region = explode('|', $request->region);
            $employees->perregcode = $region[0];
            $employees->perregion = $region[1];            

            $province = explode('|', $request->province);
            $employees->perprovcode = $province[0];
            $employees->perprovince = $province[1]; 

            $city = explode('|', $request->city);
            $employees->percmcode = $city[0];
            $employees->percity = $city[1];  

            $barangay = explode('|', $request->barangay);
            $employees->perbrgycode = $barangay[0];
            $employees->perbrgy = $barangay[1]; 

            $employees->perzipcode = $request->zipcode;   
        } else {
            $employees->peraddress = $request->peraddress;
            $region2 = explode('|', $request->region2);
            $employees->perregcode = $region2[0];
            $employees->perregion = $region2[1];            

            $province2 = explode('|', $request->province2);
            $employees->perprovcode = $province2[0];
            $employees->perprovince = $province2[1]; 

            $city2 = explode('|', $request->city2);
            $employees->percmcode = $city2[0];
            $employees->percity = $city2[1];  

            $barangay2 = explode('|', $request->barangay2);
            $employees->perbrgycode = $barangay2[0];
            $employees->perbrgy = $barangay2[1]; 
            $employees->perzipcode = $request->zipcode2;   
        }

        $employees->phoneno = $request->phoneno;
        $employees->mobileno = $request->mobileno;
        $employees->ffname = $request->ffname;
        $employees->mfname = $request->mfname;
        $employees->contactp = $request->contactp;
        $employees->contactno = $request->contactno;

        $employees->posicode = $request->posicode;
        $employees->divcode = $request->divcode;
        $employees->deptcode = $request->deptcode;
        $employees->branchcode = $request->branchcode;

        $employees->datehired = $request->datehired;
        $employees->regulardate = $request->regulardate;
        $employees->resigdate = $request->resigdate;
        $employees->sepadate = $request->sepadate;
        $employees->sepanature = $request->sepanature;

        $employees->payrolltype = $request->payrolltype;
        $employees->tin = $request->tin;
        $employees->sssno = $request->sssno;
        $employees->hdmfno = $request->hdmfno;
        $employees->philhealthno = $request->philhealthno;
        $employees->bankacctno = $request->bankacctno;
        $employees->bankcode = $request->bankcode;
        $employees->empstatus = $request->empstatus;
        //$employees->s_employid = $request->s_employid;

        $employees->status = $request->status;
        $empno = $request->empno;
        $name = $request->fname. " ". $request->lname;

        //$request->session()->put('regempno', $request->empno);

        $employees->save();

        $userid = auth()->user()->id;      
        $dependents = DB::table('dependents')->where('s_employid','=', $employees->s_employid)->delete();
        $tdependents = DB::table('tdependents')->where('userid','=', $userid)->where('s_employid','=', $employees->s_employid)->get();

        foreach($tdependents as $tdependents){
          $dependents = new Dependent;
          $dependents->s_employid = $request->s_employid;
          $dependents->name = $tdependents->name;
          $dependents->relationship = $tdependents->relationship;
          $dependents->gender = $tdependents->gender;
          $dependents->birthdate = $tdependents->birthdate;
          $dependents->save();
        }

        $tdependents = DB::table('tdependents')->where('userid','=', $userid)->where('s_employid','=', $employees->s_employid)->delete();

        $education = DB::table('education')->where('s_employid','=', $employees->s_employid)->delete();
        $teducations = DB::table('teducations')->where('userid','=', $userid)->where('s_employid','=', $employees->s_employid)->get();

        foreach($teducations as $teducations){
          $education = new Education;
          $education->s_employid = $request->s_employid;
          $education->course = $teducations->course;
          $education->school = $teducations->school;
          $education->yearfrom = $teducations->yearfrom;
          $education->yearto = $teducations->yearto;
          $education->save();
        }

        $teducations = DB::table('teducations')->where('userid','=', $userid)->where('s_employid','=', $employees->s_employid)->delete();

        $certifications = DB::table('certifications')->where('s_employid','=', $employees->s_employid)->delete();
        $tcertifications = DB::table('tcertifications')->where('userid','=', $userid)->where('s_employid','=', $employees->s_employid)->get();

        foreach($tcertifications as $tcertifications){
          $certifications = new Certification;
          $certifications->s_employid = $request->s_employid;
          $certifications->title = $tcertifications->title;
          $certifications->issuedon = $tcertifications->issuedon;
          $certifications->validuntil = $tcertifications->validuntil;
          $certifications->save();
        }

        $tcertifications = DB::table('tcertifications')->where('userid','=', $userid)->where('s_employid','=', $employees->s_employid)->delete();

/*
            $coes->empno=$request->empno;
            $coes->save();              
*/
            Toastr::success('Employee Updated Successfully :)','Employee');


            //$now = Carbon::now();
   
            //$user->notifyAt(new AllNotification($user), $now->addHour());
            //$user->notifyAt(new AllNotification, Carbon::parse('2021'));

            return redirect()->route('admin.employees.index'); 
            //return redirect()->route('editgovid', app('request')->input('empno')); 


           
        
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Employee $employee)
    {
        
        $employee->delete();

        Toastr::warning('Employee Deleted Successfully :)','Employee');
        return redirect()->route('admin.employees.index');      
        
    }

    // ************************************************************* OTHER FUNCTIONS *************************************************** //

    public function fixemployees()
    {

        $employees = DB::table('employees')->orderBy('id','asc')->get();
        
        foreach($employees as $employee){
          $employees = Employee::where('id', '=', $employee->id)->first(); 
          $lname = strtolower($employee->lname);
          $fname = strtolower($employee->fname);
          $mname = substr($employee->mname, 0,1). ".";
          $suffix = $employee->suffix;

          $mname = strtolower($mname);
          $fullname = ucwords($fname). " ". ucwords($mname). " ". ucwords($lname). " ". $suffix;
          
          $employees->fullname = $fullname;
          $employees->save();
        } 

        $settings = DB::table('settings')->first();

        return view('admin.settings.edit', compact('settings'));  
    }        


    public function bdayreminders()
    {

        $employees = DB::table('employees')->where('status', '=', 'Active')->orderBy('id','asc')->get();
        
        foreach($employees as $employee){
          $birthdate = $employee->birthdate;
          $birthdate = new DateTime($birthdate);
          $year = date('Y');
          $month = $birthdate->format('m');
          $day = $birthdate->format('d');
          $starttime = "00:00:00";
          $bday = $year. "-". $month. "-". $day. " ". $starttime;

          $hrreminders = new Reminder;
          $hrreminders->s_employid = $employee->s_employid;
          $hrreminders->title = $employee->fullname. " Birthday";
          $hrreminders->description = "It is ". $employee->fullname. " Birthday Celebration!";
          $hrreminders->start = $bday;
          $hrreminders->end = $bday;
          $hrreminders->recurrence = "None";
          $hrreminders->send_at = $bday;
          $hrreminders->visibility = "Private";
          $hrreminders->department = "PERSONAL";
          $hrreminders->category = "Birthday";
          $hrreminders->save();
        }

        $settings = DB::table('settings')->first();

        return view('admin.settings.edit', compact('settings'));  
    }  

    public function evalreminders()
    {

        function checkIsAValidDate($myDateString){
            return (bool)strtotime($myDateString);
        }


        $employees = DB::table('employees')->where('Empstatus', '=', 'Regular')->where('status', '=', 'Active')->orderBy('id','asc')->get();
        
        foreach($employees as $employee){
          $evaldate = $employee->datehired;

          $evaldate = new DateTime($evaldate);
          $year = date('Y');
          $month = $evaldate->format('m');
          $day = $evaldate->format('d');

          $starttime = "06:00:00";
          $eval = $year. "-". $month. "-". $day. " ". $starttime;
          $eval2 = date('Y-m-d', strtotime('-7 days', strtotime($eval)));
          $evalcheck = checkdate($month, $day, $year);

          if($evalcheck == false){
            $eval = date('Y-m-d', strtotime('-1 day', strtotime($eval)));
          }

          $hrreminders = new Reminder;
          $hrreminders->s_employid = $employee->s_employid;
          $hrreminders->title = $employee->fullname. " Evaluation";
          $hrreminders->description = "It is ". $employee->fullname. " Evaluation!";
          $hrreminders->start = $eval;
          $hrreminders->end = $eval;
          $hrreminders->recurrence = "None";
          $hrreminders->send_at = $eval2;
          $hrreminders->visibility = "Private";
          $hrreminders->department = "HR";
          $hrreminders->category = "Evaluation";
          $hrreminders->save();
        }

        $settings = DB::table('settings')->first();

        return view('admin.settings.edit', compact('settings'));  
    }

    public function fixlocations()
    {

        $locations = DB::table('barangays')->where('provcode', "=", null)->orderBy('code','asc')->get();
        
        foreach($locations as $locations){
          if($locations->level == "Reg"){
            $regioncode = $locations->code;
          }
          if($locations->level == "Prov" || $locations->level == "Dist"){
            $provincecode = $locations->code;
          }
          if($locations->level == "Mun" || $locations->level == "City"){
            $cmcode = $locations->code;
            $cmname = $locations->cmname;
            $code = $locations->code;
            $barangay = Barangay::where('code', '=', $code)->first();
            $barangay->provcode = $provincecode;
            $barangay->cmcode = $cmcode;  
            $barangay->save();  
          }
        }

        $settings = DB::table('settings')->first();

        return view('admin.settings.edit', compact('settings'));  
    }    

    public function fetchProvince(Request $request)
    {
        $data['province'] = Province::where("regcode",$request->regcode)->orderBy('name', 'asc')->get(["name", "code"]);
        return response()->json($data);
    }

    public function fetchCity(Request $request)
    {
        $data['cities'] = City::where("provcode", $request->provcode)->orderBy('name', 'asc')->get(["name", "code"]);
        //$data['cities'] = DB::table('cities')->where('provcode', "=", $request->provcode)->get(["name", "code"]);
        return response()->json($data);
    }

    public function fetchBarangay(Request $request)
    {
        $data['barangays'] = Barangay::where("cmcode", $request->cmcode)->orderBy('name', 'asc')->get(["name", "code"]);
        //$data['cities'] = DB::table('cities')->where('provcode', "=", $request->provcode)->get(["name", "code"]);
        return response()->json($data);
    }  


    public function updateimported(Request $request) 
    {
            $userid = auth()->user()->id;
            $chunks = DB::table('temployees')->where('userid', $userid)->orderBy('empno', 'ASC')->get()->chunk(100);

            $batch = Bus::batch([])->dispatch();
            $lastkey = count($chunks);

            foreach($chunks as $key => $chunk){
                $data = $chunk;
                $batch->add(new UpdateJobEmployees($data));
            }
            
            $batchstatus = new Batchstatus;
            $batchstatus->userid = $userid;
            $batchstatus->batchid = $batch->id;
            $batchstatus->tablename = "employees";
            $batchstatus->save();     

            return redirect()->route('empbatchstatus');

    }  



    public function checkfiles(Request $request)
    {    
        $files_in_directory = scandir('d:\server\cash sales');
        $items_count = count($files_in_directory);
        if ($items_count <= 2)
        {
            $empty = true;
           
        }
        else {
            $empty = false;

            $path = "d:/server/cash sales/";
            foreach($files_in_directory as $image) {
                if($image != "." && $image != ".."){
                    $filename = $path. $image;
                    $filename->storeAs('public/backup', $image);
                }


            }            
            //dd($files_in_directory[2]);             
        }
    }

    public function changepic($id)
    {

       $employees = DB::table('employees')->where('s_employid', $id)->first();
       return view('admin.employees.changepic', compact('employees'));
    }   

    public function empcropper(Request $request)
    {
       //$folderPath = public_path('upload/');
        $id = $request->s_employid;
        $folderPath = storage_path('app/uploads/employees/');
        //$folderPath = storage_path() . '/app/uploads/employees/';

        if($request->oldfile != "user.png"){
            $image_path = storage_path() . '/app/uploads/employees/'. $request->oldfile;
            if(file_exists($image_path)){
                unlink($image_path);
            }
        }

 
        $image_parts = explode(";base64,", $request->image);
        $image_type_aux = explode("image/", $image_parts[0]);
        $image_type = $image_type_aux[1];
        $image_base64 = base64_decode($image_parts[1]);
 
        //$imageName = uniqid() . '.png';

        $ext = ".jpg";
        //$imageName = $id. $ext;
        $imageName = $id. '-'. Str::random(40). '.' . $ext;
        //$request->emp_photo->storeAs('public/employees', $emp_photo);


 
        $imageFullPath = $folderPath.$imageName;
 
        file_put_contents($imageFullPath, $image_base64);

        $employees = Employee::where('s_employid', '=', $id)->first();
        $employees->emp_photo = $imageName;
        $employees->save();

        Toastr::success('Profiles Updated Successfully :)','Profiles');

        return response()->json(['success'=>'success']);
    }

    public function fetchtdependents(Request $request)
    {

         if(request()->ajax())
         {
              $userid = auth()->user()->id;
               $data = DB::table('tdependents')
                 ->select('*')
                 ->where('userid', '=',$userid)
                 ->whereNull('s_employid');
                 //->get();


             return datatables()->of($data)        
            ->addColumn('action', function ($row) {
                
                $token =  csrf_token();                  
                //return "<a title='Delete' href='#' onclick='EditDependent()' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->id. "><i class='fa fa-edit'></i> Delete</a> 
                //        <a title='Delete' href='#' onclick='DeleteDependent(this)' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->id. "><i class='fa fa-trash'></i> Delete</a> ";
                return "<a title='Delete' href='#' onclick='DeleteDependent(this)' type='button' class='btn btn-xs btn-danger' id=".$row->id. "><i class='fa fa-trash'></i> Delete</a> ";  


                
            })




            ->editColumn('id', 'ID: {{$id}}')            
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }
         $userid = auth()->user()->id;
         $tdependents = DB::table('tdependents')
              ->select('*')
              ->where('userid', '=',$userid)
              ->orderBy('name', 'ASC')
              ->get();
              
         return view('admin.employees.create', compact('tdependents'));
    }

    public function savetdependents(Request $request)
    {

        $tdependents = new Tdependent;
        $tdependents->userid = auth()->user()->id; 
        $tdependents->name = $request->name; 
        $tdependents->relationship = $request->relationship; 
        $tdependents->gender = $request->gender; 
        $tdependents->birthdate = $request->birthdate; 
        $tdependents->save();
        return response()->json(['success'=>'success']);
        //return redirect()->route('admin.tdependents.index'); 

    }

    public function deletetdependents(Request $request)
    {
        
        $id = $request->id;
        $tdependents = DB::table('tdependents')->where('id', '=', $id)->delete();

    }


    public function fetchteducations(Request $request)
    {

         if(request()->ajax())
         {
              $userid = auth()->user()->id;
              if( !empty($request->userid))
              {

                $query = DB::table('teducations');
                $query = $query->select('*');

                

                if(!empty($request->userid)) {
                    $query = $query->where('userid', '=',$userid);
                };

                //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
               $data = DB::table('teducations')
                 ->select('*')
                 ->where('userid', '=',$userid);
                 
                 //->get();
              }

             return datatables()->of($data)        
            ->addColumn('action', function ($row) {
                
                $token =  csrf_token();                  
                //return "<a title='Delete' href='#' onclick='EditDependent()' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->id. "><i class='fa fa-edit'></i> Delete</a> 
                //        <a title='Delete' href='#' onclick='DeleteDependent(this)' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->id. "><i class='fa fa-trash'></i> Delete</a> ";
                return "<a title='Delete' href='#' onclick='DeleteEducation(this)' type='button' class='btn btn-xs btn-danger' id=".$row->id. "><i class='fa fa-trash'></i> Delete</a> ";                        
                
            })




            ->editColumn('id', 'ID: {{$id}}')            
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }
         $userid = auth()->user()->id;
         $teducations = DB::table('teducations')
              ->select('*')
              ->where('userid', '=',$userid)
              ->orderBy('course', 'DESC')
              ->get();

    }


    public function saveteducations(Request $request)
    {
        $teducations = new Teducation;
        $teducations->userid = auth()->user()->id; 
        $teducations->course = $request->course; 
        $teducations->school = $request->school; 
        $teducations->yearfrom = $request->yearfrom; 
        $teducations->yearto = $request->yearto; 
        $teducations->save();

        return response()->json(['success'=>'success']);
    } 

    public function deleteteducations(Request $request)
    {
        
        $id = $request->id;
        $teducations = DB::table('teducations')->where('id', '=', $id)->delete();

    }

    public function fetchtcertifications(Request $request)
    {

         $userid = auth()->user()->id;
         if(request()->ajax())
         {
              $userid = auth()->user()->id;

               $data = DB::table('tcertifications')
                 ->select('*')
                 ->where('userid', '=',$userid);
                 
                 //->get();


             return datatables()->of($data)        
            ->addColumn('action', function ($row) {
                
                $token =  csrf_token();                  
                //return "<a title='Delete' href='#' onclick='EditDependent()' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->id. "><i class='fa fa-edit'></i> Delete</a> 
                //        <a title='Delete' href='#' onclick='DeleteDependent(this)' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->id. "><i class='fa fa-trash'></i> Delete</a> ";
                return "<a title='Delete' href='#' onclick='DeleteCertification(this)' type='button' class='btn btn-xs btn-danger' id=".$row->id. "><i class='fa fa-trash'></i> Delete</a> ";                        
                
            })




            ->editColumn('id', 'ID: {{$id}}')            
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }
         $userid = auth()->user()->id;
         $tcertifications = DB::table('tcertifications')
              ->select('*')
              ->where('userid', '=',$userid)
              ->orderBy('issuedon', 'DESC')
              ->get();



    }

    public function savetcertifications(Request $request)
    {
        $tcertifications = new Tcertification;
        $tcertifications->userid = auth()->user()->id; 
        $tcertifications->title = $request->title; 
        $tcertifications->issuedon = $request->issuedon; 
        $tcertifications->validuntil = $request->validuntil; 
        $tcertifications->save();

        return response()->json(['success'=>'success']);
    }

    public function deletetcertifications(Request $request)
    {
        
        $id = $request->id;
        $tcertifications = DB::table('tcertifications')->where('id', '=', $id)->delete();

    }

    public function fetchtdependents2(Request $request)
    {

         if(request()->ajax())
         {
            $userid = auth()->user()->id;
            $data = DB::table('tdependents')
                 ->select('*')
                 ->where('s_employid', '=',$request->s_employid)
                 ->where('userid', '=',$userid);
                 //->get();

            return datatables()->of($data)        
            ->addColumn('action', function ($row) {
                
                $token =  csrf_token();                  
                //return "<a title='Delete' href='#' onclick='EditDependent()' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->id. "><i class='fa fa-edit'></i> Delete</a> 
                //        <a title='Delete' href='#' onclick='DeleteDependent(this)' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->id. "><i class='fa fa-trash'></i> Delete</a> ";
                return "<a title='Delete' href='#' onclick='DeleteDependent(this)' type='button' class='btn btn-xs btn-danger' id=".$row->id. "><i class='fa fa-trash'></i> Delete</a> ";  
                
            })




            ->editColumn('id', 'ID: {{$id}}')            
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }
         $userid = auth()->user()->id;
         $tdependents = DB::table('tdependents')
              ->select('*')
              ->where('userid', '=',$userid)
              ->orderBy('name', 'ASC')
              ->get();
              
         return view('admin.employees.create', compact('tdependents'));
    }

    public function savetdependents2(Request $request)
    {

        $tdependents = new Tdependent;
        $tdependents->userid = auth()->user()->id; 
        $tdependents->s_employid = $request->s_employid; 
        $tdependents->name = $request->name; 
        $tdependents->relationship = $request->relationship; 
        $tdependents->gender = $request->gender; 
        $tdependents->birthdate = $request->birthdate; 
        $tdependents->save();
        return response()->json(['success'=>'success']);
        //return redirect()->route('admin.tdependents.index'); 

    }

    public function fetchteducations2(Request $request)
    {

         if(request()->ajax())
         {
              $userid = auth()->user()->id;
               $data = DB::table('teducations')
                 ->select('*')
                 ->where('s_employid', '=',$request->s_employid)
                 ->where('userid', '=',$userid);
                 
                 //->get();

             return datatables()->of($data)        
            ->addColumn('action', function ($row) {
                
                $token =  csrf_token();                  
                //return "<a title='Delete' href='#' onclick='EditDependent()' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->id. "><i class='fa fa-edit'></i> Delete</a> 
                //        <a title='Delete' href='#' onclick='DeleteDependent(this)' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->id. "><i class='fa fa-trash'></i> Delete</a> ";
                return "<a title='Delete' href='#' onclick='DeleteEducation(this)' type='button' class='btn btn-xs btn-danger' id=".$row->id. "><i class='fa fa-trash'></i> Delete</a> ";                        
                
            })




            ->editColumn('id', 'ID: {{$id}}')            
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }
         $userid = auth()->user()->id;
         $teducations = DB::table('teducations')
              ->select('*')
              ->where('userid', '=',$userid)
              ->orderBy('course', 'DESC')
              ->get();

    }

    public function saveteducations2(Request $request)
    {
        $teducations = new Teducation;
        $teducations->userid = auth()->user()->id; 
        $teducations->s_employid = $request->s_employid;
        $teducations->course = $request->course; 
        $teducations->school = $request->school; 
        $teducations->yearfrom = $request->yearfrom; 
        $teducations->yearto = $request->yearto; 
        $teducations->save();

        return response()->json(['success'=>'success']);
    } 

    public function fetchtcertifications2(Request $request)
    {

         $userid = auth()->user()->id;
         if(request()->ajax())
         {
              $userid = auth()->user()->id;

               $data = DB::table('tcertifications')
                 ->select('*')
                 ->where('s_employid', '=',$request->s_employid)
                 ->where('userid', '=',$userid);
                 
                 //->get();


             return datatables()->of($data)        
            ->addColumn('action', function ($row) {
                
                $token =  csrf_token();                  
                //return "<a title='Delete' href='#' onclick='EditDependent()' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->id. "><i class='fa fa-edit'></i> Delete</a> 
                //        <a title='Delete' href='#' onclick='DeleteDependent(this)' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->id. "><i class='fa fa-trash'></i> Delete</a> ";
                return "<a title='Delete' href='#' onclick='DeleteCertification(this)' type='button' class='btn btn-xs btn-danger' id=".$row->id. "><i class='fa fa-trash'></i> Delete</a> ";                        
                
            })




            ->editColumn('id', 'ID: {{$id}}')            
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }
         $userid = auth()->user()->id;
         $tcertifications = DB::table('tcertifications')
              ->select('*')
              ->where('userid', '=',$userid)
              ->orderBy('issuedon', 'DESC')
              ->get();



    }

    public function savetcertifications2(Request $request)
    {
        $tcertifications = new Tcertification;
        $tcertifications->userid = auth()->user()->id; 
        $tcertifications->s_employid = $request->s_employid;
        $tcertifications->title = $request->title; 
        $tcertifications->issuedon = $request->issuedon; 
        $tcertifications->validuntil = $request->validuntil; 
        $tcertifications->save();

        return response()->json(['success'=>'success']);
    }  

    public function editcoe($id)
    {
        
        $employees = DB::table('employees')->where('s_employid', $id)->first();
        $positions = DB::table('positions')->where('posicode', $employees->posicode)->first();
        $branches = DB::table('branches')->where('branchcode', $employees->branchcode)->first();
        $coetemplates = DB::table('coetemplates')->where('id', '1')->first();

        return view('admin.employees.editcoe', compact('coetemplates', 'employees', 'positions', 'branches'));
           
    }  

    public function savecoe(Request $request, $id)
    {
        if(DB::table('coes')->where('s_employid', $id)->first()){
            $coes = Coe::where('s_employid', '=', $id)->first(); 
            $coes->s_employid = $id;
            $coes->para1 = $request->para1;
            $coes->para2 = $request->para2;
            $coes->para3 = $request->para3;
            $coes->coeby = $request->coeby;
            $coes->position = $request->position;
            $coes->save();            
        } else {
            $coes = New Coe;
            $coes->s_employid = $id;
            $coes->para1 = $request->para1;
            $coes->para2 = $request->para2;
            $coes->para3 = $request->para3;
            $coes->coeby = $request->coeby;
            $coes->position = $request->position;
            $coes->save(); 
        }

        return redirect()->route('printcoe', $id);
    } 

    public function printcoe($id)
    {
        
        $employees = DB::table('employees')->where('s_employid', $id)->first();
        //$positions = DB::table('positions')->where('posicode', $employees->posicode)->first();
        //$branches = DB::table('branches')->where('branchcode', $employees->branchcode)->first();
        $coes = DB::table('coes')->where('s_employid', $id)->first();

        return view('admin.employees.printcoe', compact('coes', 'employees'));
           
    }  

    public function importemployees()
    {
       return view('admin.employees.import');
    }  

    public function saveimportemployees(Request $request) 
    {
        //USE THIS IF YOU WANT TO USE EXCEL IMPORT WITHOUT QUEUE JOBS
        //Excel::import(new EmployeesImport,request()->file('file'));
        //return back();

        //USE JOB BATCHING AND QUEUE JOBS
        
        if (request()->has('mycsv')){

            $data = file(request()->mycsv);
            $userid = auth()->user()->id;
            $chunks = array_chunk($data, 100);
            $header = [];

            $batch = Bus::batch([])->dispatch('');
            $id = auth()->user()->id;
            
            $lastkey = count($chunks);
            $users[] = array($id);
            $chunks=array_merge($chunks,$users);
            foreach($chunks as $key => $chunk){
                $data = array_map('str_getcsv', $chunk);
                if($key == 0){
                    $header = $data[0]; 
                    unset($data[0]);
                }
                if($key == $lastkey){
                    $userid = $data[0]; 
                    unset($data[0]);
                }
                $batch->add(new TemployeeJob($data, $header, $userid));
            }



              $batchstatus = new Batchstatus;
              $batchstatus->userid = $id;
              $batchstatus->batchid = $batch->id;
              $batchstatus->tablename = "temployees";
              $batchstatus->save();            

            $request->session()->put('key', $batch->id);

            //popen( 'start d:\xampp\php\php.exe -c "d:\xampp\php\php.ini" '.base_path().'/artisan queue:work --sansdaemon --env=local --once', 'r' );
            popen( 'c:\xampp\php\php.exe -c '.base_path().'/artisan queue:work --sansdaemon --env=local --once', 'r' );
            //popen( '/usr/local/bin/php /home/essstjosephdrug/ess/artisan queue:work --sansdaemon', 'r' );

            return redirect()->route('employeebatchstatus');

            
        } 
            return 'Does not exists';        
    }  

    public function batchstatus()
    {

        $userid = auth()->user()->id;
        if ($batches = DB::table('batchstatuses')->where('userid', $userid)->where('tablename', 'temployees')->first()){   
            $jobbatches = DB::table('job_batches')->where('id', $batches->batchid)->first();  
            //Artisan::call('queue:work --sansdaemon');
        }

        return view('admin.employees.batchstatus', compact('jobbatches'));
    } 

    public function batchstatus2()
    {
        $userid = auth()->user()->id;
        if ($batches = DB::table('batchstatuses')->where('userid', $userid)->where('tablename', 'temployees')->first()){      
            $jobbatches = DB::table('job_batches')->where('id', $batches->batchid)->first();  
            
        }

       return response()->json($jobbatches);
    }  

    public function deleteall()
    {
        //$adjustments = Adjustment::where('adjid', '=', $id)->first();
        //Payroll::destroy($id);
        $userid = auth()->user()->id;
        if ($batches = DB::table('batchstatuses')->where('userid', $userid)->where('tablename', 'temployees')->first()){
            DB::table('batchstatuses')->where('userid', $userid)->where('tablename', 'temployees')->delete();
            DB::table('job_batches')->where('id', $batches->batchid)->delete();
        }
        DB::table('temployees')->where('userid', $userid)->delete();

        Toastr::warning('Imported Employee List Deleted Successfully :)','Deleted');

        return redirect()->route('fetchTemployees');
    }

    public function deletebatches()
    {
        //$adjustments = Adjustment::where('adjid', '=', $id)->first();
        //Payroll::destroy($id);
        $userid = auth()->user()->id;
        if ($batches = DB::table('batchstatuses')->where('userid', $userid)->where('tablename', 'temployees')->first()){
            DB::table('batchstatuses')->where('userid', $userid)->where('tablename', 'temployees')->delete();
            DB::table('job_batches')->where('id', $batches->batchid)->delete();
        }


        return redirect()->route('fetchTemployees');
    }

    public function EmployeetempArtisan()
    {

        Artisan::call('queue:work --sansdaemon');

        return redirect()->route('payroll.empimports.index');
    }
   
    public function fetchTemployees(Request $request)
    {
       
        $positions = Position::orderby('posidesc')->get()->all();
        $divisions = Division::get()->all();
        $departments = Department::orderby('department')->orderBy('department', 'ASC')->get()->all();
        $branches = Branch::orderBy('branch', 'ASC')->get()->all();
        $empstatuses = Empstatus::get()->all();

         if(request()->ajax())
         {
              if( !empty($request->empno) || !empty($request->employid) || !empty($request->fullname) || !empty($request->gender) || !empty($request->civilstat) || !empty($request->posicode) || !empty($request->divcode) || !empty($request->deptcode) || !empty($request->branchcode)  || !empty($request->Empstatus) || !empty($request->status))
              {

                $query = DB::table('temployees');
                $query = $query->select('temployees.*', 'positions.posidesc', 'divisions.division', 'departments.department', 'branches.branch');
                $query = $query->leftJoin('positions', 'temployees.posicode', '=', 'positions.posicode');
                $query = $query->leftJoin('divisions', 'temployees.divcode', '=', 'divisions.divcode');
                $query = $query->leftJoin('departments', 'temployees.deptcode', '=', 'departments.deptcode');
                $query = $query->leftJoin('branches', 'temployees.branchcode', '=', 'branches.branchcode');

                if(!empty($request->empno)) {
                    $query = $query->where('temployees.empno', '=', $request->empno);
                };

                if(!empty($request->employid)) {
                    $query = $query->where('temployees.s_employid', '=', $request->employid);
                };

                if(!empty($request->fullname)) {
                    $query = $query->where('temployees.fullname', 'LIKE',"%{$request->fullname}%");
                };

                if(!empty($request->gender)) {
                    $query = $query->where('temployees.gender', '=', $request->gender);
                };


                if(!empty($request->civilstat)) {
                    $query = $query->where('temployees.civilstat', '=',$request->civilstat);
                };

                if(!empty($request->posicode)) {
                    $query = $query->where('temployees.posicode', '=',$request->posicode);
                };

                if(!empty($request->divcode)) {
                    $query = $query->where('temployees.divcode', '=',$request->divcode);
                };

                if(!empty($request->deptcode)) {
                    $query = $query->where('temployees.deptcode', '=',$request->deptcode);
                };

                if(!empty($request->branchcode)) {
                    $query = $query->where('temployees.branchcode', '=',$request->branchcode);
                };

                if(!empty($request->Empstatus)) {
                    $query = $query->where('temployees.Empstatus', '=',$request->Empstatus);
                };
                if(!empty($request->status)) {
                    $query = $query->where('temployees.status', '=', $request->status);
                };                


                $data= $query; 
                //$data= $query->get(); 


              }
              else
              {

                 $data = DB::table('temployees')
                   ->select('temployees.*', 'positions.posidesc', 'divisions.division', 'departments.department', 'branches.branch')
                    ->leftJoin('divisions', 'divisions.divcode', '=', 'temployees.divcode')
                    ->leftJoin('departments', 'departments.deptcode', '=', 'temployees.deptcode')
                    ->leftJoin('branches', 'branches.branchcode', '=', 'temployees.branchcode')
                    ->leftJoin('positions', 'positions.posicode', '=', 'temployees.posicode');

                    //->get();   
              }

             return datatables()->of($data)        
            ->addColumn('action', function ($row) {
                $show = route('admin.employees.show',$row->id);
                $edit =  route('admin.employees.edit',$row->id);
                $delete =  route('admin.employees.destroy',$row->id);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";



                return "<div class='btn-group'>
                            <button  data-bs-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' >
                              <a class='dropdown-item' href='{$show}'><i class='fas fa-desktop text-blue'></i><small> View</small></a>
                              <a class='dropdown-item' href='{$edit}'><i class='fas fa-edit text-green'></i><small> Edit</small></a>
                              <form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                               "<input type='hidden' name='_method' value='DELETE'>".
                               "<input type='hidden' name='_token' value='{$token}'>". 
                               "<button type='submit' title = 'Delete' class='dropdown-item' style='border:none; background:none; cursor:pointer;'><i class='fa fa-trash text-red'></i><small> Delete</small></button>".
                               "</form>
                            </div>
                        </div>";


                
            })
            ->editColumn('id', 'ID: {{$id}}')            
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }


         $employees = DB::table('temployees')
            ->select('temployees.*', 'positions.posidesc', 'divisions.division', 'departments.department', 'branches.branch')
            ->leftJoin('positions', 'temployees.posicode', '=', 'positions.posicode')
            ->leftJoin('divisions', 'temployees.divcode', '=', 'divisions.divcode')
            ->leftJoin('departments', 'temployees.deptcode', '=', 'departments.deptcode')
            ->leftJoin('branches', 'temployees.branchcode', '=', 'branches.branchcode')
            ->orderBy('temployees.lname', 'ASC')
            ->orderBy('temployees.fname', 'ASC')
            ->orderBy('temployees.mname', 'ASC');
            //->get();

        $userid = auth()->user()->id;     
        if($batchstatus = DB::table('batchstatuses')->where('userid','=',$userid)->where('tablename','=','employeestemps')->orderBy('id', 'DESC')->first()){
            $jobbatches = DB::table('job_batches')->where('id','=',$batchstatus->batchid)->first();     
             $agent = new \Jenssegers\Agent\Agent;    
             if($result = $agent->isDesktop()){
                return view('admin.employees.tindex', compact('employees','positions', 'divisions', 'departments', 'branches', 'empstatuses', 'batchstatus', 'jobbatches'));
             } else {
                return view('admin.employees.tindex', compact('employees','positions', 'divisions', 'departments', 'branches', 'empstatuses', 'batchstatus', 'jobbatches'));
             }            
            
        }  else {
             $agent = new \Jenssegers\Agent\Agent;    
             if($result = $agent->isDesktop()){
                return view('admin.employees.tindex', compact('employees','positions', 'divisions', 'departments', 'branches', 'empstatuses'));
             } else {
                return view('admin.employees.tindex', compact('employees','positions', 'divisions', 'departments', 'branches', 'empstatuses'));
             } 
            
        }

    }




    public function empbatchstatus()
    {
      $id = auth()->user()->id;

      $batch = DB::table('batchstatuses')->where('userid', $id)->where('tablename', 'employees')->first();
      $jobbatches = DB::table('job_batches')->where('id', $batch->batchid)->first();  
      return view('admin.employees.empbatchstatus', compact('jobbatches'));
    } 


    public function empbatchstatus2()
    {
      $userid = auth()->user()->id;

      if ($batches = DB::table('batchstatuses')->where('userid', $userid)->where('tablename', 'employees')->first()){
         $jobbatches = DB::table('job_batches')->where('id', $batches->batchid)->first();  
         return response()->json($jobbatches);
      }
    }  


    public function deleteemployeebatch()
    {
        //$adjustments = Adjustment::where('adjid', '=', $id)->first();
        //Payroll::destroy($id);
        $userid = auth()->user()->id;
        if ($batches = DB::table('batchstatuses')->where('userid', $userid)->where('tablename', 'employees')->first()){
            DB::table('batchstatuses')->where('userid', $userid)->where('tablename', 'employees')->delete();
            DB::table('job_batches')->where('id', $batches->batchid)->delete();
        }

        DB::table('temployees')->where('userid', $userid)->delete();
        Toastr::warning('Imported Employees Save Successfully :)','Deleted');

        return redirect()->route('admin.employees.index');
    }

    public function empnocheck(Request $request) 
    {

        $empno = $request->empno;
        $s_employid = $request->s_employid;

        if($employees =  DB::table('employees')->where('empno', $empno)->orWhere('s_employid', $s_employid)->first()){
            echo "Employee No/System Employee No Already Exist!";             
        } else {
            echo "Move on"; 
        }
    } 

}
