<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

//use App\Exports\DepartmentsExport;
//use App\Imports\DepartmentsImport;
use Maatwebsite\Excel\Facades\Excel;

use App\Models\Permissioncat;
use App\Models\Element;
use Spatie\Permission\Models\Permission;

use DataTables;

use Response;

use Brian2694\Toastr\Facades\Toastr;

class PermissioncatController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    function __construct()
    {
         //$this->middleware('permission:role-list|role-create|role-edit|role-delete', ['only' => ['index','store']]);
         $this->middleware('permission:PermissionCats-list|PermissionCats-show', ['only' => ['index','show']]);
         $this->middleware('permission:PermissionCats-create', ['only' => ['create','store']]);
         $this->middleware('permission:PermissionCats-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:PermissionCats-delete', ['only' => ['destroy']]);
    }

    
    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->scategory))
              {

                $query = DB::table('permissioncats');
                $query = $query->select('*');

                if(!empty($request->scategory)) {
                    $query = $query->where('category', 'LIKE',"%{$request->scategory}%");
                };

               //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
               $data = DB::table('permissioncats')
                 ->select('*');
                 //->get();
              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('admin.permissioncats.show',$row->catid);
                $edit =  route('admin.permissioncats.edit',$row->catid);
                $delete =  route('admin.permissioncats.destroy',$row->catid);
                $token =  csrf_token();   
                


                return "<div class='btn-group'>
                            <button  data-bs-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' >
                              <a class='dropdown-item' href='#' onclick='EditPermissionCat(this)' id='$row->catid' data-bs-toggle='modal' data-bs-target='#editmodal'><i class='fas fa-edit text-green'></i><small> Edit</small></a>
                              <a class='dropdown-item' href='#' onclick='DeletePermission(this)' id='$row->catid'><i class='fas fa-trash text-red'></i><small> Delete</small></a>

                            </div>
                        </div>";


/*
                return "<div class='btn-group'>
                            <button aria-expanded='false' aria-haspopup='true' data-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' style='font-size:12px'>
                              <a class='dropdown-item' href='#' onclick='EditPermissionCat(this)' data-bs-toggle='offcanvas' data-bs-target='#modaleditcat' id='.$row->catid. ''><i class='fa fa-edit text-green'></i><small> Edit</small></a>
                              <a class='dropdown-item' href='#' onclick='DeletePermission(this)' id=".$row->catid. "><i class='fa fa-trash text-red'></i><small> Delete</small></a>
                            </div>
                        </div>";
*/
                
            })
       
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }




        return view('admin.permissioncats.index');
              
         
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Permissioncat $permissioncats)
    {

        if($categories = DB::table('permissioncats')->orderBy('categoryno', 'DESC')->limit(1)->first()){
            $categoryno = $categories->categoryno + 1;
        } else {
            $categoryno = 1;
        }

        $permissioncats->categoryno = $categoryno;
        $permissioncats->category = $request->category;
        $permissioncats->orderno = $request->orderno;
        $permissioncats->save();
        $catid = $permissioncats->catid;


        $categories2 = DB::table('permissioncats')->where('catid', '!=', $catid)->where('orderno', '>=', $request->orderno)->orderBy('orderno', 'ASC')->get();
        $orderno = $request->orderno;
        foreach($categories2 as $categories2){
            $orderno = $orderno + 1;
            $permissioncats2 = Permissioncat::where('catid', '=', $categories2->catid)->first();
            $permissioncats2->orderno = $orderno;
            $permissioncats2->save();
        }



        return redirect()->route('admin.permissioncats.index'); 
    }
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request, $id)
    {
        
        $id = $request->id;
        $permissioncats = Permissioncat::where('catid', '=', $id)->first();
        $orderno = $permissioncats->orderno;
        /*
        $elements = DB::table('elements')->where('catid', $id)->get();
        foreach($elements as $element1){
            $element = $element1->element;
            $permissions = DB::table('permissions')->where('element', $element)->get();
            foreach($permissions as $permission1){
                $rolepermissions = DB::table('role_has_permissions')->where('permission_id', $permission1->id)->delete();
            }
            $permissions = DB::table('permissions')->where('element', $element)->delete();  
        }
        $elements = DB::table('elements')->where('catid', $id)->delete();  
        */
        $permissioncats = DB::table('permissioncats')->where('catid', $id)->delete();

        $categories2 = DB::table('permissioncats')->where('orderno', '>=', $orderno)->orderBy('orderno', 'ASC')->get();
        foreach($categories2 as $categories2){
            $permissioncats2 = Permissioncat::where('catid', '=', $categories2->catid)->first();
            $permissioncats2->orderno = $orderno;
            $permissioncats2->save();
            $orderno = $orderno + 1;
        }

        //Permissioncat::destroy($id);
        
        Toastr::warning('Permission Category Deleted Successfully :)','Permission Category');

        //return json_encode(array('statusCode'=>200));
        //return redirect()->route('admin.permissioncats.index'); 

    }

    public function getpermissioncat(Request $request) 
    {

        $id = $request->id;

        $permissioncats = DB::table('permissioncats')->where('catid', $id)->first();
        $catid = $permissioncats->catid;
        $category = $permissioncats->category;
        $orderno = $permissioncats->orderno;

        echo $catid. "|". $category. "|". $orderno;

    } 

    public function updatecatpermission(Request $request) 
    {

        $categories2 = DB::table('permissioncats')->where('catid', '!=', $request->catid)->where('orderno', '>=', $request->orderno)->orderBy('orderno', 'ASC')->get();
        $orderno = $request->orderno;
        foreach($categories2 as $categories2){
            $orderno = $orderno + 1;
            $permissioncats2 = Permissioncat::where('catid', '=', $categories2->catid)->first();
            $permissioncats2->orderno = $orderno;
            $permissioncats2->save();
        }

        $catid = $request->catid;
        $permissioncats = Permissioncat::where('catid', '=', $catid)->first(); 
        $permissioncats->category = $request->category;    
        $permissioncats->orderno = $request->orderno;    
        $permissioncats->save();

        return json_encode(array('statusCode'=>200));
        //return view('admin.permissioncats.index');
    } 


}
