<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;


use App\Auth;
use App\Models\Tdependent;
use App\Models\Employee;
use App\Models\Position;
use App\Models\Division;
use App\Models\Department;
use App\Models\Branch;
use App\Models\EmpStatus;
use App\Models\Dependent;
use App\Models\Education;
use App\Models\Certification;
use App\Models\Rating;
use App\Models\Coe;
use App\Models\Violation;
use App\Models\Casecategory;
use App\Models\Degree;
use App\Models\Disciplinary;
use App\Models\Designation;
use App\Models\User;
use DataTables;
//use Redirect,Response;

use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;
use File;

use Brian2694\Toastr\Facades\Toastr;


class ProfileController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    function __construct()
    {
         //$this->middleware('permission:role-list|role-create|role-edit|role-delete', ['only' => ['index','store']]);
         $this->middleware('permission:Profile-list|Profile-show', ['only' => ['index','show']]);
         $this->middleware('permission:Profile-list', ['only' => ['show']]);
         $this->middleware('permission:Profile-create', ['only' => ['create','store']]);
         $this->middleware('permission:Profile-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:Profile-delete', ['only' => ['destroy']]);
         $this->middleware('permission:Profile-import', ['only' => ['importExportView']]);
    }

    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $s_employid = auth()->user()->s_employid;
        $employees = DB::table('employees')->where('s_employid', $s_employid)->first();
        $users = DB::table('users')->where('s_employid', $employees->s_employid)->first();
        $positions = Position::orderBy('posidesc', 'ASC')->get()->all();
        $posidescs = DB::table('positions')->where('posicode', $employees->posicode)->first();
        $divisions = Division::get()->all();
        $divdescs = DB::table('divisions')->where('divcode', $employees->divcode)->first(); 
        $departments = Department::orderBy('department', 'ASC')->get()->all();
        $deptdescs = DB::table('departments')->where('deptcode', $employees->deptcode)->first();  
        $branches = Branch::orderBy('branch', 'ASC')->get()->all();
        $branchnames = DB::table('branches')->where('branchcode', $employees->branchcode)->first();   

        $regionname = DB::table('regions2')->where('code', $employees->curregcode)->first(); 
        $provincename = DB::table('provinces')->where('code', $employees->curprovcode)->first(); 
        $cityname = DB::table('cities')->where('code', $employees->curcmcode)->first(); 
        $brgyname = DB::table('barangays')->where('code', $employees->curbrgycode)->first(); 

        $regionname2 = DB::table('regions2')->where('code', $employees->perregcode)->first(); 
        $provincename2 = DB::table('provinces')->where('code', $employees->perprovcode)->first(); 
        $cityname2 = DB::table('cities')->where('code', $employees->percmcode)->first(); 
        $brgyname2 = DB::table('barangays')->where('code', $employees->perbrgycode)->first();   

        $empstatuses = DB::table('empstatuses')->get();   

        return view('admin.profiles.show', compact('employees', 'positions', 'posidescs', 'divisions', 'divdescs', 'departments', 'deptdescs', 'branches', 'branchnames', 'regionname', 'provincename', 'cityname', 'brgyname', 'regionname2', 'provincename2', 'cityname2', 'brgyname2', 'empstatuses', 'users')); 

    }


    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function profilechangepic($id)
    {

       $employees = DB::table('employees')->where('s_employid', $id)->first();
       return view('admin.profiles.changepic', compact('employees'));
    }   

    public function profileempcropper(Request $request)
    {
       //$folderPath = public_path('upload/');
        $id = $request->s_employid;
        $folderPath = storage_path('app/uploads/employees/');
        //$folderPath = storage_path() . '/app/uploads/employees/';

        if($request->oldfile != "user.png"){
            $image_path = storage_path() . '/app/uploads/employees/'. $request->oldfile;
            if(file_exists($image_path)){
                unlink($image_path);
            }
        }

 
        $image_parts = explode(";base64,", $request->image);
        $image_type_aux = explode("image/", $image_parts[0]);
        $image_type = $image_type_aux[1];
        $image_base64 = base64_decode($image_parts[1]);
 
        //$imageName = uniqid() . '.png';

        $ext = ".jpg";
        //$imageName = $id. $ext;
        $imageName = $id. '-'. Str::random(40). '.' . $ext;
        //$request->emp_photo->storeAs('public/employees', $emp_photo);


 
        $imageFullPath = $folderPath.$imageName;
 
        file_put_contents($imageFullPath, $image_base64);

        $employees = Employee::where('s_employid', '=', $id)->first();
        $employees->emp_photo = $imageName;
        $employees->save();



        Toastr::success('Profiles Updated Successfully :)','Profiles');

        return response()->json(['success'=>'success']);
    }


}
