<?php

namespace App\Http\Controllers\Admin;

use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\StoreUsersRequest;
use App\Http\Requests\Admin\UpdateUsersRequest;

use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use DB;
use Hash;
use DataTables;

use Illuminate\Auth\Events\Registered;


use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;
use File;
use App\Models\Branch;

use Brian2694\Toastr\Facades\Toastr;

class UserController extends Controller
{
    /**
     * Display a listing of User.
     *
     * @return \Illuminate\Http\Response
     */

    function __construct()
    {
         //$this->middleware('permission:role-list|role-create|role-edit|role-delete', ['only' => ['index','store']]);
         $this->middleware('permission:Users-list|Users-show', ['only' => ['index','show']]);
         $this->middleware('permission:Users-create', ['only' => ['create','store']]);
         $this->middleware('permission:Users-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:Users-delete', ['only' => ['destroy']]);
    }

    public function index(Request $request)
    {

         if(request()->ajax())
         {
              if( !empty($request->s_employid) || !empty($request->empno) || !empty($request->name) || !empty($request->email) || !empty($request->status))
              {

                //$query = User::whereHas('roles', function ($query) {
                //    $query->where('roles.name', '!=', 'super-admin');
                   
                //});
                //$query = User::whereHas('roles', function ($query) {
                //    $query->where('roles.name', '!=', 'Backup');
                //});

                $query = User::select('users.*', 'branches.branch')->leftJoin('branches', 'branches.branchid', '=', 'users.branchid')->whereHas('roles', function ($query) {
                    $query->where('roles.name','!=','Backup');
                });


                if(!empty($request->empno)) {
                    $query = $query->where('users.empno', '=', $request->empno);
                } 

                if(!empty($request->name)) {
                    $query = $query->where('users.name', 'LIKE',"%{$request->name}%");
                }  
                if(!empty($request->email)) {
                    $query = $query->where('users.email', 'LIKE',"%{$request->email}%");
                }
                if(!empty($request->status)) {
                    $query = $query->where('users.status', '=', $request->status);
                } 


                //->where('users.name', 'LIKE',"%{$request->sname}%")
                 $query = $query->with('roles');
                 $query = $query->get();  
                $data= $query;
              }
              else
              { 

                $data = User::select('users.*', 'branches.branch')->leftJoin('branches', 'branches.branchid', '=', 'users.branchid')->whereHas('roles', function ($query) {
                    $query->where('roles.name', '!=', 'Backup');
                })
                ->with('roles')
                ->get();               
              }
                $data = $data->transform(function ($item) {
                    $item->role_names = $item->roles->pluck('name')->implode('|');
                    //$item->role_names = $item->roles->pluck('name')->implode(', ');
                    return $item;
                })->all();


                //return DataTables::collection($data)->toJson()


             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('admin.users.show',$row->id);
                $edit =  route('admin.users.edit',$row->id);
                $delete =  route('admin.users.destroy',$row->id);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";
/*                return "<div class='bn-group'>
                            <button type='button' class='btn btn-secondary dropdown-toggle' data-bs-toggle='dropdown' aria-expanded='false'>Dropdown</button>
                            <ul class='dropdown-menu'>
                                <li><a class='dropdown-item' href='#'>Action</a></li>
                                <li><a class='dropdown-item' href='#'>Another action</a></li>
                                <li><a class='dropdown-item' href='#'>Something else here</a></li>
                                <li>
                                    <hr class='dropdown-divider'>
                                </li>
                                <li><a class='dropdown-item' href='#'>Separated link</a></li>
                            </ul>
                        </div>";*/



                return "<div class='btn-group'>
                            <button  data-bs-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' >
                              <a class='dropdown-item' href='{$show}'><i class='fas fa-desktop text-blue'></i><small> View</small></a>
                              <a class='dropdown-item' href='{$edit}'><i class='fas fa-edit text-green'></i><small> Edit</small></a>
                              <form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                               "<input type='hidden' name='_method' value='DELETE'>".
                               "<input type='hidden' name='_token' value='{$token}'>". 
                               "<button type='submit' title = 'Delete' class='dropdown-item' style='border:none; background:none; cursor:pointer;'><i class='fa fa-trash text-red'></i><small> Delete</small></button>".
                               "</form>
                            </div>
                        </div>";
                
            })
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }

         //$users = User::whereHas('roles', function ($query) {
         //           $query->where('roles.name', '!=', 'Backup');
         //       })
         //       ->with('roles')
         //       ->get();   
         $roles = Role::where('name', '!=', 'Backup')->get()->pluck('name', 'name');

         $branches = Branch::orderBy('branch', 'ASC')->get()->all();

         return view('admin.users.index', compact('branches', 'roles'));
         
    }

    /**
     * Show the form for creating new User.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

        $roles = Role::where('name', '!=', 'Backup')->get()->pluck('name', 'name');
        $branches = Branch::orderBy('branch', 'ASC')->get()->all();

         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('admin.users.create', compact('roles', 'branches'));
         } else {
            return view('admin.users.create', compact('roles', 'branches'));
         }  

        
    }

    /**
     * Store a newly created User in storage.
     *
     * @param  \App\Http\Requests\StoreUsersRequest  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, User $users)
    {

        $this->validate($request, [
            'name' => 'required',
            'email' => 'required|email|unique:users,email',
            'password' => 'required|same:cpassword',
            'roles' => 'required'
        ]);
    
        if ($request->hasFile('user_photo')){

            $uid =  auth()->user()->id;
            $x = 1;
            $storagePath = storage_path() . '/app/uploads/users/';
            $filenameWithExt = $request->user_photo->getClientOriginalName();    
            $fileExtension = $request->user_photo->getClientOriginalExtension();
            $newFilename = $request->empno. '-'. Str::random(40). '.' . $fileExtension;
            $storagePath = storage_path() . '/app/uploads/users/';
            $request->user_photo->move($storagePath, $newFilename);
            $user_photo = $newFilename;
        } else {
            $user_photo='user.png';    
        } 

        //$input['password'] = Hash::make($input['password']);
        $users->filename = $user_photo;
        //$users->s_employid = $request->s_employid;
        $users->empno = $request->empno;
        $users->name = $request->name;
        //$users->filename = $filename;
        $users->email = $request->email;
        $users->password = Hash::make($request->password);
        $users->branchid = $request->branchid;
        $users->status = "Active";

        $users->save();        
        
        //$user = User::create($input);
        $users->assignRole($request->input('roles'));

        event(new Registered($users));

        Toastr::success('User Added Successfully :)','User Management');

        return redirect()->route('admin.users.index')
                        ->with('success','User created successfully');
    }


    /**
     * Show the form for editing User.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(User $user)
    {


        $roles = Role::where('name', '!=', 'Backup')->get()->pluck('name', 'name');
        $branches = Branch::orderBy('branch', 'ASC')->get()->all();
        $branchname = Branch::where('branchid', $user->branchid)->first();        

         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('admin.users.show', compact('user', 'roles', 'branchname', 'branches'));
         } else {
            return view('admin.users.show', compact('user', 'roles', 'branchname', 'branches'));
         }  
        
    }

    public function edit(User $user)
    {

        $roles = Role::where('name', '!=', 'Backup')->get()->pluck('name', 'name');
        $branches = Branch::orderBy('branch', 'ASC')->get()->all();
        $branchname = Branch::where('branchid', $user->branchid)->first();

         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('admin.users.edit', compact('user', 'roles', 'branchname', 'branches'));
         } else {
            return view('admin.users.edit', compact('user', 'roles', 'branchname', 'branches'));
         }         

        
    }

    /**
     * Update User in storage.
     *
     * @param  \App\Http\Requests\UpdateUsersRequest  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required',
            'email' => 'required|email|unique:users,email,'.$id,
            'password' => 'same:cpassword',
            'roles' => 'required'
        ]);

        $users = User::where('id', '=', $id)->first(); 

        if ($request->hasFile('user_photo')){
            if($request->user_photo->getClientOriginalName())
            {
                $user_photo = $request->user_photo->getClientOriginalName();
                $image_path = storage_path() . '/app/uploads/users/'. $users->filename;
                if($users->filename != "user.png"){
                    if(file_exists($image_path)){
                        unlink($image_path);
                    }                
                }
                $fileExtension = strtolower($request->file('user_photo')->getClientOriginalExtension());
                $newFilename = $users->empno. '-'. Str::random(40). '.' . $fileExtension;
                $storagePath = storage_path() . '/app/uploads/users/';
                $request->file('user_photo')->move($storagePath, $newFilename);
                $users->filename = $newFilename;  
            } 
        } 


        $users->name = $request->name;

        $input = $request->all();
        if($request->password != $users->password){
            $users->password = Hash::make($request->password);
        }

        $users->email = $request->email;
        $users->branchid = $request->branchid;

        $users->save();        
    
        //$user = User::find($id);
        //$user->update($input);
        DB::table('model_has_roles')->where('model_id',$id)->delete();
    
        $users->assignRole($request->input('roles'));
        

        Toastr::success('User updated Successfully :)','User Management');

        return redirect()->route('admin.users.index')
                        ->with('success','User updated successfully');
    }



    /**
     * Remove User from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(User $user)
    {
        $user->delete();
        //$users = DB::table('users')->where('id','=', $id)->delete();
        Toastr::warning('User deleted Successfully :)','User Management');
        return redirect()->route('admin.users.index');
    }

    /**
     * Delete all selected User at once.
     *
     * @param Request $request
     */
    public function massDestroy(Request $request)
    {

        User::whereIn('id', request('ids'))->delete();

        return response()->noContent();
    }


   public function allUsers(Request $request)
    {
        
        $columns = array( 
                            0 =>'id', 
                            1 =>'name',
                            2=> 'email',
                            3=> 'name',
                            4=> 'empno',
                        );
  
        $totalData = User::count();
            
        $totalFiltered = $totalData; 

        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $columns[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
            
        if(empty($request->input('search.value')))
        {            
            $posts = User::offset($start)
                         ->limit($limit)
                         //->orderBy($order,$dir)
                         ->orderBy('name',"ASC")
                         ->get();
        }
        else {
            $search = $request->input('search.value'); 

            $posts =  User::where('id','LIKE',"%{$search}%")
                            ->orWhere('empno', 'LIKE',"%{$search}%")
                            ->orWhere('name', 'LIKE',"%{$search}%")
                            ->orWhere('email', 'LIKE',"%{$search}%")
                            ->offset($start)
                            ->limit($limit)
                            ->orderBy($order,$dir)
                            ->get();

            $totalFiltered = User::where('id','LIKE',"%{$search}%")
                             ->orWhere('empno', 'LIKE',"%{$search}%")
                             ->orWhere('name', 'LIKE',"%{$search}%")
                             ->orWhere('email', 'LIKE',"%{$search}%")
                             ->orWhere('name', 'LIKE',"%{$search}%")
                             ->count();
        }

        $data = array();
        if(!empty($posts))
        {
            foreach ($posts as $post)
            {
                $show =  route('admin.users.show',$post->id);
                $edit =  route('admin.users.edit',$post->id);
                $delete =  route('admin.users.destroy',$post->id);
                $token =  csrf_token();

                   
                  $roles = "";
                  foreach($post->roles()->where('name', '!=', 'Backup')->pluck('name') as $role){
                        $roles = $roles. '<span class="badge badge-info">'.$role. '</span>';   
                   }; 

                   $row[6] = $roles;
                                          


                $nestedData['id'] = $post->id;
                $nestedData['empno'] = $post->empno;
                $nestedData['name'] = $post->name;
                $nestedData['email'] = $post->email;
                //foreach ($post->roles()->pluck('name') as $role){
                //    $nestedData['role'] = $role;
                //}
                $nestedData['role'] = $row[6];


                $nestedData['options'] = "<a href='{$show}' title='View' class='m-r-15 crm-action-edit text-muted'><i class='fa fa-desktop'></i></a>  &nbsp;<a href='{$edit}' title='Edit' class='m-r-15 crm-action-edit text-muted'><i class='fa fa-edit'></i></a> ". 
                    "<form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                        "<input type='hidden' name='_method' value='DELETE'>".
                        "<input type='hidden' name='_token' value='{$token}'>". 
                        "<button type='submit' title = 'Delete' class='crm-action-delete text-muted' style='border:none; background:none; cursor:pointer;'><i class='fa fa-trash'></i></button>".
                    "</form>";
                $data[] = $nestedData;

            }
        }
          
        $json_data = array(
                    "draw"            => intval($request->input('draw')),  
                    "recordsTotal"    => intval($totalData),  
                    "recordsFiltered" => intval($totalFiltered), 
                    "data"            => $data   
                    );
            
        echo json_encode($json_data); 
        
    }    

    public function notifications()
    {
        return auth()->user()->Notifications()->get()->toArray();
    }   

    public function import() 
    {

        Excel::import(new UsersImport,request()->file('file'));
        return back();
    }   

    public function importExportView()
    {
        return view('admin.users.import');
    }    


}
