<?php

namespace App\Http\Controllers;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Facades\Excel;
use Carbon\Carbon;

use App\Models\Reminder;

use Redirect,Response;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware(['auth','verified']);
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $curdate = date('Y-m-d');
        $branchid = auth()->user()->branchid;
        $reminders = Reminder::where('send_at', '<=', $curdate)
                     ->where('branchid', '=', $branchid)       
                     ->where('start', '>=', $curdate)       
                     ->orderBy('start', 'ASC')->get();    

        $purchases = DB::table('purchases')->where('transdate', $curdate)->get();             
        $branchpurchases = DB::table('purchases')->where('transdate', $curdate)->where('branchid', $branchid)->get();             
        $patients = DB::table('patients')->get();             
        $prescriptions = DB::table('prescriptions')->get();             

        return view('home', compact('reminders', 'purchases', 'branchpurchases', 'patients', 'prescriptions'));
    }
}
