<?php

namespace App\Http\Controllers\Maintenance;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

//use App\Exports\DepartmentsExport;
use App\Imports\BranchesImport;
use Maatwebsite\Excel\Facades\Excel;

use App\Models\Branch;
use App\Models\Employee;
use App\Models\Branchtype;
use DataTables;

use Brian2694\Toastr\Facades\Toastr;

class BranchController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    function __construct()
    {
         //$this->middleware('permission:role-list|role-create|role-edit|role-delete', ['only' => ['index','store']]);
         $this->middleware('permission:Branches-list|Branches-show', ['only' => ['index','show']]);
         $this->middleware('permission:Branches-list', ['only' => ['show']]);
         $this->middleware('permission:Branches-create', ['only' => ['create','store']]);
         $this->middleware('permission:Branches-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:Branches-delete', ['only' => ['destroy']]);
         $this->middleware('permission:Branches-import', ['only' => ['importExportView']]);
    }


    public function index(Request $request)
    {

         if(request()->ajax())
         {
              if( !empty($request->branchcode) || !empty($request->branch) || !empty($request->name))
              {

                $query = DB::table('branches');
                $query = $query->select('branches.*', 'employees.empno', 'employees.fullname');
                //$query = $query->join('employees', 'employees.empno', '=', 'branches.empno');
                $query = $query->leftJoin('employees', 'employees.s_employid', '=', 'branches.s_employid');

                if(!empty($request->branchcode)) {
                    $query = $query->where('branches.branchcode', 'LIKE',"%{$request->branchcode}%");
                };

                if(!empty($request->branch)) {
                    $query = $query->where('branches.branch', 'LIKE',"%{$request->branch}%");
                };

                if(!empty($request->name)) {
                    $query = $query->where('employees.fullname', 'LIKE',"%{$request->name}%");
                };

                $data= $query->get(); 
                //$data= $query; 

              }
              else
              {
               $data = DB::table('branches')
                 ->select('branches.*', 'employees.empno', 'employees.fullname')
                 ->leftJoin('employees', 'employees.s_employid', '=', 'branches.s_employid')
                 ->get();
              }

             return datatables()->of($data)        
            ->addColumn('action', function ($row) {
                $show = route('maintenance.branches.show',$row->id);
                $edit =  route('maintenance.branches.edit',$row->id);
                $delete =  route('maintenance.branches.destroy',$row->id);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";
                return "<div class='btn-group'>
                            <button  data-bs-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' >
                              <a class='dropdown-item' href='{$show}'><i class='fas fa-desktop text-blue'></i><small> View</small></a>
                              <a class='dropdown-item' href='{$edit}'><i class='fas fa-edit text-green'></i><small> Edit</small></a>
                              <form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                               "<input type='hidden' name='_method' value='DELETE'>".
                               "<input type='hidden' name='_token' value='{$token}'>". 
                               "<button type='submit' title = 'Delete' class='dropdown-item' style='border:none; background:none; cursor:pointer;'><i class='fa fa-trash text-red'></i><small> Delete</small></button>".
                               "</form>
                            </div>
                        </div>";   
                
            })
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }


        return view('maintenance.branches.index');

              
         
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {


        $branchtypes = Branchtype::get()->all();
        return view('maintenance.branches.create', compact('branchtypes'));

        
        //return view('maintenance.branches.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Branch $branches)
    {
        $branches->branchcode = $request->branchcode; 
        $branches->branch = $request->branch;
        $branches->branchtype = $request->branchtype;
        $branches->address = $request->address;
        //$branches->towncode = $request->towncode;
        $branches->ltopermit = $request->ltopermit;
        //$branches->supno = $request->s_employid2;
        //$branches->s_employid = $request->s_employid;
        $branches->dateopened = $request->dateopened;
        $branches->phoneno = $request->phoneno;
        $branches->mobileno = $request->mobileno;
        $branches->save();

        return redirect()->route('maintenance.branches.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {

        $branches = DB::table('branches')->where('id', $id)->first(); 

        //$employees = DB::table('employees')->where('s_employid', $branches->s_employid)->first();
        //$employees2 = DB::table('employees')->where('s_employid', $branches->supno)->first();
        $branchtypes = Branchtype::get()->all();
        //$towns = DB::table('towns')->where('towncode', $branches->towncode)->first();
        
        return view('maintenance.branches.show', compact('branches', 'branchtypes')); 

        
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {

        $branches = DB::table('branches')->where('id', $id)->first(); 
        //$employees = DB::table('employees')->where('s_employid', $branches->s_employid)->first();
        //$employees2 = DB::table('employees')->where('s_employid', $branches->supno)->first();

        $branchtypes = Branchtype::get()->all();

        return view('maintenance.branches.edit', compact('branches', 'branchtypes')); 
        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $branches = Branch::where('id', '=', $id)->first(); 
        $branches->branchcode = $request->branchcode; 
        $branches->branch = $request->branch;
        $branches->branchtype = $request->branchtype;
        $branches->address = $request->address;
        //$branches->towncode = $request->towncode;
        $branches->ltopermit = $request->ltopermit;
        //$branches->supno = $request->s_employid2;
        //$branches->s_employid = $request->s_employid;
        $branches->dateopened = $request->dateopened;
        $branches->phoneno = $request->phoneno;
        $branches->mobileno = $request->mobileno;
        $branches->save();

        return redirect()->route('maintenance.branches.index'); 
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {


        $branches = Branch::where('id', '=', $id)->first();
        Branch::destroy($id);

        return redirect()->route('maintenance.branches.index');
    }

    public function branchcodecheck(Request $request) 
    {

        $branchcode = $request->branchcode;

        if($branches =  DB::table('branches')->where('branchcode', $branchcode)->first()){
            echo "Branch Code Already Exist!";             
        } else {
            echo "Move on"; 
        }
    } 


}
