<?php

namespace App\Http\Controllers\Maintenance;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

use Spatie\Permission\Models\Permission;

use App\Models\Dosage;

use DataTables;

use Brian2694\Toastr\Facades\Toastr;

class DosageController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    function __construct()
    {
         //$this->middleware('permission:role-list|role-create|role-edit|role-delete', ['only' => ['index','store']]);
         $this->middleware('permission:Dosages-list|Dosages-show', ['only' => ['index','show']]);
         $this->middleware('permission:Dosages-create', ['only' => ['create','store']]);
         $this->middleware('permission:Dosages-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:Dosages-delete', ['only' => ['destroy']]);
    }

    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->sdosagecode) || !empty($request->sdosage))
              {

                $query = DB::table('dosages');
                if(!empty($request->sdosagecode)) {
                    $query = $query->where('dosagecode', '=', $request->sdosagecode);
                };
                if(!empty($request->sdosage)) {
                    $query = $query->where('dosage', 'LIKE',"%{$request->sdosage}%");
                };               
                $data= $query->get(); 
                //$data= $query; 

              }
              else
              {
                $query = DB::table('dosages')->get();
                $data= $query; 

              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('maintenance.dosages.show',$row->id);
                $edit =  route('maintenance.dosages.edit',$row->id);
                $delete =  route('maintenance.dosages.destroy',$row->id);
                $token =  csrf_token();    



                return "<div class='btn-group'>
                            <button  data-bs-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' >
                              <a class='dropdown-item' href='#' onclick='EditData(this)' id='$row->id' data-bs-toggle='modal' data-bs-target='#editmodal'><i class='fas fa-edit text-green'></i><small> Edit</small></a>
                              <a class='dropdown-item' href='#' onclick='DeleteData(this)' id='$row->id'><i class='fas fa-trash text-red'></i><small> Delete</small></a>

                            </div>
                        </div>";

                
            })
            //->editColumn('id', '# {{$id}}')            
            ->removeColumn('password')
            ->make(true);

         }


        return view('maintenance.dosages.index');
         
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Dosage $dosages)
    {
        $dosages->dosagecode = $request->dosagecode;
        $dosages->dosage = $request->dosage;
        $dosages->save();

        return redirect()->route('maintenance.dosages.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function dosagecheck(Request $request) 
    {

        $dosagecode = $request->dosagecode;

        if($dosages =  DB::table('dosages')->where('dosagecode', $dosagecode)->first()){
            echo "Adjustment Code Already Exist!";             
        } else {
            echo "Move on"; 
        }
    } 

    public function getdosages(Request $request) 
    {

        $id = $request->id;

        $dosages = DB::table('dosages')->where('id', $id)->first();
        $dosagecode = $dosages->dosagecode;
        $dosage = $dosages->dosage;

        echo $id. "|". $dosagecode. "|". $dosage;

    } 

   public function updatedosage(Request $request) 
    {
        $id = $request->id;
        $dosages = Dosage::where('id', '=', $id)->first(); 
        $dosages->dosagecode = $request->dosagecode;
        $dosages->dosage = $request->dosage;
        $dosages->save();


        return json_encode(array('statusCode'=>200));
    } 

    public function deletedosage(Request $request)
    {
        $id = $request->id;

        $dosages = DB::table('dosages')->where('id', $id)->delete();

        return json_encode(array('statusCode'=>200));

    } 

}
