<?php

namespace App\Http\Controllers\Maintenance;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

use Spatie\Permission\Models\Permission;

use App\Models\Paytype;

use DataTables;

use Brian2694\Toastr\Facades\Toastr;

class PaytypeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    function __construct()
    {
         //$this->middleware('permission:role-list|role-create|role-edit|role-delete', ['only' => ['index','store']]);
         $this->middleware('permission:Payroll Types-list|Payroll Types-show', ['only' => ['index','show']]);
         $this->middleware('permission:Payroll Types-create', ['only' => ['create','store']]);
         $this->middleware('permission:Payroll Types-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:Payroll Types-delete', ['only' => ['destroy']]);
    }
    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->spayrolltype) || !empty($request->sdescription))
              {

                $query = DB::table('paytypes');

                if(!empty($request->spayrolltype)) {
                    $query = $query->where('payrolltype', 'LIKE',"%{$request->spayrolltype}%");
                };

                if(!empty($request->sdescription)) {
                    $query = $query->where('description', 'LIKE',"%{$request->sdescription}%");
                };
                //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
                $query = DB::table('paytypes');
                $data= $query; 

              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('maintenance.paytypes.show',$row->id);
                $edit =  route('maintenance.paytypes.edit',$row->id);
                $delete =  route('maintenance.paytypes.destroy',$row->id);
                $token =  csrf_token();    



                return "<div class='btn-group'>
                            <button  data-bs-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' >
                              <a class='dropdown-item' href='#' onclick='EditData(this)' id='$row->id' data-bs-toggle='offcanvas' data-bs-target='#modaledit'><i class='fas fa-edit text-green'></i><small> Edit</small></a>
                              <a class='dropdown-item' href='#' onclick='DeleteData(this)' id='$row->id'><i class='fas fa-trash text-red'></i><small> Delete</small></a>

                            </div>
                        </div>";

                
            })
            ->editColumn('id', '# {{$id}}')            
            ->removeColumn('password')
            ->make(true);

         }

        $query = DB::table('paytypes');
        $paytypes= $query; 

        $paytypes = DB::table('paytypes')->get();

        return view('maintenance.paytypes.index', compact('paytypes'));
         
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Paytype $paytypes)
    {
        $paytypes->payrolltype = $request->payrolltype;
        $paytypes->description = $request->description;
        $paytypes->save();

        return redirect()->route('maintenance.paytypes.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function getPaytypes(Request $request) 
    {

        $id = $request->id;

        $paytypes = DB::table('paytypes')->where('id', $id)->first();
        $payrolltype = $paytypes->payrolltype;
        $description = $paytypes->description;

        echo $id. "|". $payrolltype. "|". $description;

    } 

    public function updatePaytypes(Request $request) 
    {
        $id = $request->id;
        $paytypes = Paytype::where('id', '=', $id)->first(); 
        $paytypes->payrolltype = $request->payrolltype;
        $paytypes->description = $request->description;
        $paytypes->save();


        return json_encode(array('statusCode'=>200));
    } 

    public function deletePaytypes(Request $request)
    {
        $id = $request->id;

        $paytypes = DB::table('paytypes')->where('id', $id)->delete();

        return json_encode(array('statusCode'=>200));

    } 

    public function paytypecheck(Request $request) 
    {

        $payrolltype = $request->payrolltype;

        if($paytypes =  DB::table('paytypes')->where('payrolltype', $payrolltype)->first()){
            echo "Payroll Type Already Exist!";             
        } else {
            echo "Move on"; 
        }
    }  
}
