<?php

namespace App\Http\Controllers\Maintenance;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

use Spatie\Permission\Models\Permission;

use App\Models\Position;

use DataTables;

use Brian2694\Toastr\Facades\Toastr;

class PositionController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    function __construct()
    {
         //$this->middleware('permission:role-list|role-create|role-edit|role-delete', ['only' => ['index','store']]);
         $this->middleware('permission:Positions-list|Positions-show', ['only' => ['index','show']]);
         $this->middleware('permission:Positions-create', ['only' => ['create','store']]);
         $this->middleware('permission:Positions-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:Positions-delete', ['only' => ['destroy']]);
    }

    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->sposicode) || !empty($request->sposidesc) || !empty($request->sjobgrade) || !empty($request->slevel))
              {

                $query = DB::table('positions');

                if(!empty($request->sposicode)) {
                    $query = $query->where('posicode', 'LIKE',"%{$request->sposicode}%");
                };

                if(!empty($request->sposidesc)) {
                    $query = $query->where('posidesc', 'LIKE',"%{$request->sposidesc}%");
                };

                if(!empty($request->sjobgrade)) {
                    $query = $query->where('jobgrade', '=', $request->sjobgrade);
                };

                if(!empty($request->slevel)) {
                    $query = $query->where('level', '=', $request->slevel);
                };                

                //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
                $query = DB::table('positions');
                $data= $query; 

              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('maintenance.positions.show',$row->id);
                $edit =  route('maintenance.positions.edit',$row->id);
                $delete =  route('maintenance.positions.destroy',$row->id);
                $token =  csrf_token();    



                return "<div class='btn-group'>
                            <button  data-bs-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' >
                              <a class='dropdown-item' href='#' onclick='EditData(this)' id='$row->id' data-bs-toggle='offcanvas' data-bs-target='#modaledit'><i class='fas fa-edit text-green'></i><small> Edit</small></a>
                              <a class='dropdown-item' href='#' onclick='DeleteData(this)' id='$row->id'><i class='fas fa-trash text-red'></i><small> Delete</small></a>

                            </div>
                        </div>";

                
            })
            ->editColumn('id', '# {{$id}}')            
            ->removeColumn('password')
            ->make(true);

         }

        $query = DB::table('positions');
        $positions= $query; 

        $jobgrades = DB::table('jobgrades')->get();

        return view('maintenance.positions.index', compact('positions', 'jobgrades'));
         
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Position $positions)
    {
        $positions->posicode = $request->posicode;
        $positions->posidesc = $request->posidesc;
        $positions->jobgrade = $request->jobgrade;
        $positions->level = $request->level;
        $positions->save();

        return redirect()->route('maintenance.positions.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function getPositions(Request $request) 
    {

        $id = $request->id;

        $positions = DB::table('positions')->where('id', $id)->first();
        $posicode = $positions->posicode;
        $posidesc = $positions->posidesc;
        $jobgrade = $positions->jobgrade;
        $level = $positions->level;
        $jobgrades = DB::table('jobgrades')->where('jobgrade', $jobgrade)->first();
        $jobgradedesc = $jobgrades->jobgradedesc;

        echo $id. "|". $posicode. "|". $posidesc. "|". $jobgrade. "|". $jobgradedesc. "|". $level;

    } 

    public function updatePositions(Request $request) 
    {
        $id = $request->id;
        $positions = Position::where('id', '=', $id)->first(); 
        $positions->posicode = $request->posicode;
        $positions->posidesc = $request->posidesc;
        $positions->jobgrade = $request->jobgrade;
        $positions->level = $request->level;
        $positions->save();


        return json_encode(array('statusCode'=>200));
    } 

    public function deletePositions(Request $request)
    {
        $id = $request->id;

        $positions = DB::table('positions')->where('id', $id)->delete();

        return json_encode(array('statusCode'=>200));

    }

    public function positioncheck(Request $request) 
    {

        $posicode = $request->posicode;

        if($positions =  DB::table('positions')->where('posicode', $posicode)->first()){
            echo "Position Code Already Exist!";             
        } else {
            echo "Move on"; 
        }
    }       

}
