<?php

namespace App\Http\Controllers\Profiling;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
//use Carbon\Carbon;
//use App\Exports\DepartmentsExport;
//use App\Imports\DepartmentsImport;
//use Maatwebsite\Excel\Facades\Excel;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;
use File;


use App\Models\Reminder;
use App\Models\User;
use App\Models\Patient;
use DataTables;
use DateTime;

//use App\Models\Event;
use Redirect,Response;

use Brian2694\Toastr\Facades\Toastr;

class ReminderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    function __construct()
    {
         //$this->middleware('permission:role-list|role-create|role-edit|role-delete', ['only' => ['index','store']]);
         $this->middleware('permission:Reminders-list|Reminders-show', ['only' => ['index','show']]);
         $this->middleware('permission:Reminders-list', ['only' => ['show']]);
         $this->middleware('permission:Reminders-create', ['only' => ['create','store']]);
         $this->middleware('permission:Reminders-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:Reminders-delete', ['only' => ['destroy']]);
         $this->middleware('permission:Reminders-import', ['only' => ['importExportView']]);
         $this->middleware('permission:Reminders-export', ['only' => ['export']]);
    }

    public function index(Request $request)
    {



         if(request()->ajax())
         {

              $s_employid = auth()->user()->s_employid;
              if( !empty($request->title) || !empty($request->remstart) || !empty($request->remend) || !empty($request->branchid))
              {

                $query = DB::table('reminders');
                $query = $query->select('reminders.*', 'patients.fullname');
                $query = $query->leftJoin('patients', 'patients.patientno', '=', 'reminders.patientno');
                
                $query = $query->where('branchid', 'LIKE',"%{$request->branchid}%");

                if(!empty($request->title)) {
                    $query = $query->where('title', 'LIKE',"%{$request->title}%");
                };

                if(!empty($request->remstart)) {
                    $query = $query->where('start', '>=', $request->remstart);
                };

                if(!empty($request->remend)) {
                    $query = $query->where('start', '<=',$request->remend);
                };

                $data= $query->get(); 
                //$data= $query; 

              }
              else
              {
               $data = DB::table('reminders')
                 ->select('*')
                 ->get();
              }


             return datatables()->of($data)        
            ->addColumn('action', function ($row) {
                $show = route('profiling.reminders.show',$row->id);
                $edit =  route('profiling.reminders.edit',$row->id);
                $delete =  route('profiling.reminders.destroy',$row->id);
                $token =  csrf_token();     


                    return "<div class='btn-group'>
                                <button  data-bs-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                                <small>Action</small> 
                                <span class='caret'></span></button>

                                <div class='dropdown-menu' >
                                  <a class='dropdown-item' href='{$show}'><i class='fas fa-desktop text-blue'></i><small> View</small></a>
                                  <a class='dropdown-item' href='{$edit}'><i class='fas fa-edit text-green'></i><small> Edit</small></a>
                                  <form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                                   "<input type='hidden' name='_method' value='DELETE'>".
                                   "<input type='hidden' name='_token' value='{$token}'>". 
                                   "<button type='submit' title = 'Delete' class='dropdown-item' style='border:none; background:none; cursor:pointer;'><i class='fa fa-trash text-red'></i><small> Delete</small></button>".
                                   "</form>
                                </div>
                            </div>";

                    

                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";
                /*
                return "<a href='{$show}' title='View' class='m-r-15 crm-action-edit text-muted'><i class='fa fa-desktop'></i></a>  &nbsp;<a href='{$edit}' title='Edit' class='m-r-15 crm-action-edit text-muted'><i class='fa fa-edit'></i></a> ". 
                    "<form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                        "<input type='hidden' name='_method' value='DELETE'>".
                        "<input type='hidden' name='_token' value='{$token}'>". 
                        "<button type='submit' title = 'Delete' class='crm-action-delete text-muted' style='border:none; background:none; cursor:pointer;'><i class='fa fa-trash'></i></button>".
                    "</form>";
                */
                
            })

      
            ->removeColumn('password')
            ->editColumn('start', '{{ date("m/d/Y h:i A", strtotime($start)) }} ')
            ->editColumn('end', '{{ date("m/d/Y h:i A", strtotime($end)) }} ')
            ->make(true);

         }

        return view('profiling.reminders.index');
              
         
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $reminders = DB::table('reminders')->where('id', $id)->first(); 
        $patients = DB::table('patients')->where('patientno', $reminders->patientno)->first(); 
        $branches = DB::table('branches')->where('branchid', $reminders->branchid)->first(); 

        return view('profiling.reminders.show', compact('reminders', 'patients', 'branches')); 
        
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $reminders = DB::table('reminders')->where('id', $id)->first(); 
        $patients = DB::table('patients')->where('patientno', $reminders->patientno)->first(); 
        $branches = DB::table('branches')->where('branchid', $reminders->branchid)->first(); 

        return view('profiling.reminders.edit', compact('reminders', 'patients', 'branches')); 
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
   public function update(Request $request, $id)
    {


 
            $reminders = Reminder::where('id', '=', $id)->first(); 
            $reminders->title = $request->title;
            $reminders->description = $request->description; 
            $reminders->start = $request->start;
            $reminders->end = $request->end;
            $reminders->send_at = $request->send_at;
            $reminders->save();
            //$reminderid = $reminders->id;


        Toastr::info('Reminder Updated Successfully :)','Success');

        return redirect()->route('profiling.reminders.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {

        Reminder::destroy($id);
        
 
        Toastr::warning('Reminder Deleted Successfully :)','Deleted');

        return redirect()->route('profiling.reminders.index');
    }

    public function viewreminderscal(Request $request)
    {
        if(request()->ajax()) 
        {
         $branchid = auth()->user()->branchid;   
         $start = (!empty($_GET["start"])) ? ($_GET["start"]) : ('');
         $end = (!empty($_GET["end"])) ? ($_GET["end"]) : ('');
         $s_employid = auth()->user()->s_employid;

         $data = Reminder::where('branchid', $branchid)
                ->get(['id','title','start', 'end']);
         return Response::json($data);
        }

    }

}
