<?php

namespace App\Http\Controllers\Tablelist;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

use App\Models\Employee;


use DataTables;

class AllemployeeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {



         if(request()->ajax())
         {
                if( !empty($request->empno) || !empty($request->employid) || !empty($request->fullname) || !empty($request->gender) || !empty($request->civilstat) || !empty($request->posicode) || !empty($request->divcode) || !empty($request->deptcode) || !empty($request->branchcode)  || !empty($request->Empstatus) || !empty($request->status))
                {
                    

                $query = DB::table('employees');
                $query = $query->select('employees.*', 'positions.posidesc', 'divisions.division', 'departments.department', 'branches.branch');
                $query = $query->leftJoin('positions', 'employees.posicode', '=', 'positions.posicode');
                $query = $query->leftJoin('divisions', 'employees.divcode', '=', 'divisions.divcode');
                $query = $query->leftJoin('departments', 'employees.deptcode', '=', 'departments.deptcode');
                $query = $query->leftJoin('branches', 'employees.branchcode', '=', 'branches.branchcode');

                if(!empty($request->empno)) {
                    $query = $query->where('employees.empno', '=', $request->empno);
                };

                if(!empty($request->employid)) {
                    $query = $query->where('employees.s_employid', '=', $request->employid);
                };

                if(!empty($request->fullname)) {
                    $query = $query->where('employees.fullname', 'LIKE',"%{$request->fullname}%");
                };

                if(!empty($request->gender)) {
                    $query = $query->where('employees.gender', '=', $request->gender);
                };


                if(!empty($request->civilstat)) {
                    $query = $query->where('employees.civilstat', '=',$request->civilstat);
                };

                if(!empty($request->posicode)) {
                    $query = $query->where('employees.posicode', '=',$request->posicode);
                };

                if(!empty($request->divcode)) {
                    $query = $query->where('employees.divcode', '=',$request->divcode);
                };

                if(!empty($request->deptcode)) {
                    $query = $query->where('employees.deptcode', '=',$request->deptcode);
                };

                if(!empty($request->branchcode)) {
                    $query = $query->where('employees.branchcode', '=',$request->branchcode);
                };

                if(!empty($request->Empstatus)) {
                    $query = $query->where('employees.Empstatus', '=',$request->Empstatus);
                };
                if(!empty($request->status)) {
                    $query = $query->where('employees.status', '=', $request->status);
                };     
                                      
                $data= $query; 
                        /*
                         $data = DB::table('employees')
                         ->select('*')                                                      
                         ->where('fullname', 'LIKE',"%{$request->fullname}%")
                         ->where('gender', '=',$request->gender)
                         ->where('civilstat', '=',$request->civilstat)
                         ->where('division', '=',$request->division)
                         ->where('department',  '=',$request->department)
                         ->where('branch', '=',$request->branch)
                         ->get();
                         */
                         
                       
              }
              else
              {
               
                 $data = DB::table('employees')
                   ->select('employees.*', 'positions.posidesc', 'divisions.division', 'departments.department', 'branches.branch')
                    ->leftJoin('divisions', 'divisions.divcode', '=', 'employees.divcode')
                    ->leftJoin('departments', 'departments.deptcode', '=', 'employees.deptcode')
                    ->leftJoin('branches', 'branches.branchcode', '=', 'employees.branchcode')
                    ->leftJoin('positions', 'positions.posicode', '=', 'employees.posicode');


              }

             return datatables()->of($data)        
            ->addColumn('action', function ($row) {
                //$show = route('tablelists.allemployees.show',$row->empno);
                //$edit =  route('tablelists.allemployees.edit',$row->empno);
                //$delete =  route('tablelists.allemployees.destroy',$row->empno);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";
                return "<button type = 'button' name = 'con' class='btn btn-xs btn-primary' onclick = 'toggle(this)' value = '".$row->empno."|".$row->fullname."|".$row->s_employid."'><i class='fa fa-check'></i> SELECT</button>";
                
            })

            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }

         $employees = DB::table('employees')
              ->select('*')
              ->orderBy('lname', 'ASC')
              ->orderBy('fname', 'ASC')
              ->get();

        $departments = DB::table('departments')->orderBy('department', 'ASC')->get();
        $deptdesc = DB::table('departments')->where('deptcode',  auth()->user()->employee->deptcode)->first();
        $branchdesc = DB::table('branches')->where('branchcode',  auth()->user()->employee->branchcode)->first();
        $branches = DB::table('branches')->orderBy('branch', 'ASC')->get();
        $positions = DB::table('positions')->orderBy('posidesc', 'ASC')->get();
        $divisions = DB::table('divisions')->orderBy('division', 'ASC')->get();
        $empstatuses = DB::table('empstatuses')->get();

        return view('tablelist.allemployees.index', compact('employees', 'departments', 'branches', 'positions', 'deptdesc', 'branchdesc', 'divisions', 'empstatuses'));


        
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
