<?php

namespace App\Jobs;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;


use Illuminate\Bus\Batchable;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

use App\Models\Temployee;
use App\Models\User;

class TemployeeJob implements ShouldQueue
{
    use Batchable, Dispatchable, InteractsWithQueue, Queueable, SerializesModels;
    protected $user;

    public $data;
    public $header;
    public $userid;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($data, $header, $userid)
    {
        $this->data = $data; 
        $this->header = $header;
        $this->userid = $userid;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle(User $user)
    {
        $userid = $this->userid;

        foreach($this->data as $employees){
          //$deductiontemp = array_combine($this->header, $deduction);
          //Deductiontemp::create($deductiontemp);
    
          $employeet = new Temployee;
          $employeet->userid = $userid;
          $employeet->s_employid = ltrim($employees[0], "0");
          $employeet->empno = $employees[1];
          $employeet->bankacctno = $employees[2];
          $employeet->lname = $employees[3];
          $employeet->fname = $employees[4];
          $employeet->mname = $employees[5];

          $lname = strtolower($employees[3]);
          $fname = strtolower($employees[4]);
          $mname = substr($employees[5], 0,1). ".";
          $mname = strtolower($mname);
          $fullname = ucwords($fname). " ". ucwords($mname). " ". ucwords($lname);
          $employeet->fullname = $fullname;

          //$employeet->peraddress = $employees[6];
          //$employeet->perzipcode = $employees[7];
          $employeet->phoneno = $employees[8];
          $employeet->mobileno = $employees[9];
          $employeet->birthdate = date("Y-m-d", strtotime($employees[10]));
          $employeet->civilstat = $employees[11];
          if($employees[11] == "S"){
            $employeet->civilstat = "Single";
          }
          if($employees[11] == "M"){
            $employeet->civilstat = "Married";
          }
          if($employees[11] == "W"){
            $employeet->civilstat = "Widow";
          }

          $employeet->deptcode = $employees[12];
          $employeet->deptcode = ltrim($employees[12], "0");
          if($employees[12] == "7"){
            $employeet->divcode = "02";
          } else {
            $employeet->divcode = "01";
          }

          $employeet->branchcode = ltrim($employees[13], "0");
          $employeet->datehired = date("Y-m-d", strtotime($employees[14]));
          if($employees[15] != "/  /"){
            $employeet->regulardate = date("Y-m-d", strtotime($employees[15]));
          }

          if($employees[16] == "T"){
            $employeet->empstatus = "Trainee";
          }
          if($employees[16] == "P"){
            $employeet->empstatus = "Probationary";
          }          
          if($employees[16] == "R"){
            $employeet->empstatus = "Regular";
          }
          if($employees[16] == "S"){
            $employeet->empstatus = "Separated";
          }          


          $employeet->payrolltype = $employees[17];
          $employeet->tin = $employees[18];
          $employeet->sssno = $employees[19];
          /*
          if($employees[20] == "/  /"){
            $employeet->status = "Active";            
          } else {
            $employeet->sepadate = date("Y-m-d", strtotime($employees[20]));
            $employeet->status = "Inactive";            
          } 
          */         
          if($employees[16] == "S"){
            $employeet->status = "Inactive"; 
            $employeet->sepadate = date("Y-m-d", strtotime($employees[20]));          
          } else {
            $employeet->status = "Active";            
          }           
          $employeet->hdmfno = $employees[21];
          $employeet->posicode = ltrim($employees[22], "0");
          $employeet->philhealthno = $employees[23];
          $employeet->mfname = $employees[24];
          $employeet->ffname = $employees[25];
          $employeet->gender = $employees[26];
          if($employees[26] == "M"){
            $employeet->gender = "Male";
          } else {
            $employeet->gender = "Female";
          }
          $employeet->emp_photo = "user.png";

          $employeet->save();
        }   
        
    }

    public function failed(Throwable $exception)
    {
        // Send user notification of failure, etc...
    }
}
