<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

//use NotificationChannels\WebPush\WebPushMessage;
//use NotificationChannels\WebPush\WebPushChannel;


//class AllNotification extends Notification implements ShouldQueue
class AllNotification extends Notification
{
    //use Queueable;
    private $details;
    /**
     * Create a new notification instance.
     *
     * @return void
     */

    public function __construct($details)
    {
        $this->details = $details;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */

    public function via($notifiable)
    {
        //return ['mail', 'database'];
        return ['mail'];
        //return [WebPushChannel::class];
    }

    /**
     * Get the mail representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */


    public function toMail($notifiable)
    {
         return (new MailMessage)
                    ->greeting($this->details['subject'])
                    ->line("Dear ". $this->details['toname']. ",")
                    ->line($this->details['body'])
                    //->action($this->details['actionURL2'], $this->details['actionURL2'])
                    ->action('Click this link', url($this->details['actionURL2']), $this->details['actionURL2']);
                    //->action(Lang::get('Reset Password'), url(route('password.reset', ['token' => $this->token, 'email' => $notifiable->getEmailForPasswordReset()], false)))    
    }

    public function toDatabase($notifiable)
    {
        return [
            //'order_id' => $this->details['order_id']
            //'s_employid' => $this->details['s_employid'],
            //'name' => $this->details['name'],
            'subject' => $this->details['subject'],
            'from' => $this->details['from'],
            'fromname' => $this->details['fromname'],
            'to' => $this->details['to'],
            'toname' => $this->details['toname'],
            'body' => $this->details['body'],
            'refid' => $this->details['refid'],
            'page' => $this->details['page'],
            'actionURL' => $this->details['actionURL'],
            'actionURL2' => $this->details['actionURL2']
        ];
    }  

    /**
     * Get the array representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return array
     */

    public function toArray($notifiable)
    {
        return [
           //name' => $this->user->name,
          //'email' => $this->user->email,
            'subject' => $this->details['subject'],
            'from' => $this->details['from'],
            'fromname' => $this->details['fromname'],
            'to' => $this->details['to'],
            'toname' => $this->details['toname'],
            'body' => $this->details['body'],
            'refid' => $this->details['refid'],
            'page' => $this->details['page'],
            'actionURL' => $this->details['actionURL'],
            'actionURL2' => $this->details['actionURL2']       
        ];
    }
}
