-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.5.5-10.4.18-MariaDB


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema findmeds
--

CREATE DATABASE IF NOT EXISTS findmeds;
USE findmeds;

--
-- Definition of table `elements`
--

DROP TABLE IF EXISTS `elements`;
CREATE TABLE `elements` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `element` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `catid` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `elements`
--

/*!40000 ALTER TABLE `elements` DISABLE KEYS */;
INSERT INTO `elements` (`id`,`element`,`catid`,`created_at`,`updated_at`) VALUES 
 (2,'Users',1,'2022-02-17 02:12:52','2022-02-17 02:12:52'),
 (3,'Roles',1,'2022-02-17 02:14:48','2022-02-17 02:14:48'),
 (4,'Permissions',1,'2022-02-17 02:20:16','2022-02-17 02:20:16'),
 (5,'Permission Categories',1,'2022-02-17 02:21:37','2022-02-17 02:21:37');
/*!40000 ALTER TABLE `elements` ENABLE KEYS */;


--
-- Definition of table `failed_jobs`
--

DROP TABLE IF EXISTS `failed_jobs`;
CREATE TABLE `failed_jobs` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `failed_jobs`
--

/*!40000 ALTER TABLE `failed_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `failed_jobs` ENABLE KEYS */;


--
-- Definition of table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
CREATE TABLE `migrations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `migrations`
--

/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` (`id`,`migration`,`batch`) VALUES 
 (1,'2014_10_12_000000_create_users_table',1),
 (2,'2014_10_12_100000_create_password_resets_table',1),
 (3,'2019_08_19_000000_create_failed_jobs_table',1),
 (4,'2020_10_09_135640_create_permission_tables',1),
 (5,'2020_10_09_135732_create_products_table',1),
 (6,'2021_02_23_073522_create_elements_table',2),
 (7,'2022_02_17_005213_create_permissioncats_table',3),
 (8,'2022_02_21_062437_create_notifications_table',4);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;


--
-- Definition of table `model_has_permissions`
--

DROP TABLE IF EXISTS `model_has_permissions`;
CREATE TABLE `model_has_permissions` (
  `permission_id` bigint(20) unsigned NOT NULL,
  `model_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`permission_id`,`model_id`,`model_type`),
  KEY `model_has_permissions_model_id_model_type_index` (`model_id`,`model_type`),
  CONSTRAINT `model_has_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `model_has_permissions`
--

/*!40000 ALTER TABLE `model_has_permissions` DISABLE KEYS */;
/*!40000 ALTER TABLE `model_has_permissions` ENABLE KEYS */;


--
-- Definition of table `model_has_roles`
--

DROP TABLE IF EXISTS `model_has_roles`;
CREATE TABLE `model_has_roles` (
  `role_id` bigint(20) unsigned NOT NULL,
  `model_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`role_id`,`model_id`,`model_type`),
  KEY `model_has_roles_model_id_model_type_index` (`model_id`,`model_type`),
  CONSTRAINT `model_has_roles_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `model_has_roles`
--

/*!40000 ALTER TABLE `model_has_roles` DISABLE KEYS */;
INSERT INTO `model_has_roles` (`role_id`,`model_type`,`model_id`) VALUES 
 (1,'App\\Models\\User',1),
 (1,'App\\Models\\User',2),
 (1,'App\\Models\\User',5);
/*!40000 ALTER TABLE `model_has_roles` ENABLE KEYS */;


--
-- Definition of table `notifications`
--

DROP TABLE IF EXISTS `notifications`;
CREATE TABLE `notifications` (
  `id` char(36) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_id` bigint(20) unsigned NOT NULL,
  `data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `played` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `notifications_notifiable_type_notifiable_id_index` (`notifiable_type`,`notifiable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `notifications`
--

/*!40000 ALTER TABLE `notifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `notifications` ENABLE KEYS */;


--
-- Definition of table `password_resets`
--

DROP TABLE IF EXISTS `password_resets`;
CREATE TABLE `password_resets` (
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `password_resets`
--

/*!40000 ALTER TABLE `password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_resets` ENABLE KEYS */;


--
-- Definition of table `permissioncats`
--

DROP TABLE IF EXISTS `permissioncats`;
CREATE TABLE `permissioncats` (
  `catid` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `categoryno` int(11) DEFAULT NULL,
  `category` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`catid`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `permissioncats`
--

/*!40000 ALTER TABLE `permissioncats` DISABLE KEYS */;
INSERT INTO `permissioncats` (`catid`,`categoryno`,`category`,`created_at`,`updated_at`) VALUES 
 (1,1,'User Management','2022-02-17 02:09:48','2022-02-17 02:09:48');
/*!40000 ALTER TABLE `permissioncats` ENABLE KEYS */;


--
-- Definition of table `permissions`
--

DROP TABLE IF EXISTS `permissions`;
CREATE TABLE `permissions` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `element` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `catid` int(11) DEFAULT NULL,
  `guard_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `permissions`
--

/*!40000 ALTER TABLE `permissions` DISABLE KEYS */;
INSERT INTO `permissions` (`id`,`name`,`element`,`catid`,`guard_name`,`created_at`,`updated_at`) VALUES 
 (1,'Users-list','Users',1,'web','2022-02-17 02:12:52','2022-02-17 02:12:52'),
 (2,'Users-create','Users',1,'web','2022-02-17 02:12:52','2022-02-17 02:12:52'),
 (3,'Users-edit','Users',1,'web','2022-02-17 02:12:52','2022-02-17 02:12:52'),
 (4,'Users-delete','Users',1,'web','2022-02-17 02:12:52','2022-02-17 02:12:52'),
 (5,'Users-import','Users',1,'web','2022-02-17 02:12:52','2022-02-17 02:12:52'),
 (6,'Roles-list','Roles',1,'web','2022-02-17 02:14:48','2022-02-17 02:14:48'),
 (7,'Roles-create','Roles',1,'web','2022-02-17 02:14:48','2022-02-17 02:14:48'),
 (8,'Roles-edit','Roles',1,'web','2022-02-17 02:14:48','2022-02-17 02:14:48'),
 (9,'Roles-delete','Roles',1,'web','2022-02-17 02:14:48','2022-02-17 02:14:48'),
 (10,'Roles-import','Roles',1,'web','2022-02-17 02:14:48','2022-02-17 02:14:48'),
 (11,'Permissions-list','Permissions',1,'web','2022-02-17 02:20:16','2022-02-17 02:20:16'),
 (12,'Permissions-create','Permissions',1,'web','2022-02-17 02:20:16','2022-02-17 02:20:16'),
 (13,'Permissions-edit','Permissions',1,'web','2022-02-17 02:20:16','2022-02-17 02:20:16'),
 (14,'Permissions-delete','Permissions',1,'web','2022-02-17 02:20:16','2022-02-17 02:20:16'),
 (15,'Permissions-import','Permissions',1,'web','2022-02-17 02:20:16','2022-02-17 02:20:16'),
 (16,'Permission Categories-list','Permission Categories',1,'web','2022-02-17 02:21:37','2022-02-17 02:21:37'),
 (17,'Permission Categories-create','Permission Categories',1,'web','2022-02-17 02:21:37','2022-02-17 02:21:37'),
 (18,'Permission Categories-edit','Permission Categories',1,'web','2022-02-17 02:21:38','2022-02-17 02:21:38'),
 (19,'Permission Categories-delete','Permission Categories',1,'web','2022-02-17 02:21:38','2022-02-17 02:21:38'),
 (20,'Permission Categories-import','Permission Categories',1,'web','2022-02-17 02:21:38','2022-02-17 02:21:38');
/*!40000 ALTER TABLE `permissions` ENABLE KEYS */;


--
-- Definition of table `products`
--

DROP TABLE IF EXISTS `products`;
CREATE TABLE `products` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `detail` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `products`
--

/*!40000 ALTER TABLE `products` DISABLE KEYS */;
/*!40000 ALTER TABLE `products` ENABLE KEYS */;


--
-- Definition of table `role_has_permissions`
--

DROP TABLE IF EXISTS `role_has_permissions`;
CREATE TABLE `role_has_permissions` (
  `permission_id` bigint(20) unsigned NOT NULL,
  `role_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`permission_id`,`role_id`),
  KEY `role_has_permissions_role_id_foreign` (`role_id`),
  CONSTRAINT `role_has_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `role_has_permissions_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `role_has_permissions`
--

/*!40000 ALTER TABLE `role_has_permissions` DISABLE KEYS */;
INSERT INTO `role_has_permissions` (`permission_id`,`role_id`) VALUES 
 (1,1),
 (1,2),
 (2,1),
 (2,2),
 (3,1),
 (3,2),
 (4,1),
 (4,2),
 (5,1),
 (5,2),
 (6,1),
 (6,2),
 (7,1),
 (7,2),
 (8,1),
 (8,2),
 (9,1),
 (9,2),
 (10,1),
 (10,2),
 (11,1),
 (11,2),
 (12,1),
 (12,2),
 (13,1),
 (13,2),
 (14,1),
 (14,2),
 (15,1),
 (15,2),
 (16,1),
 (17,1),
 (17,2),
 (18,1),
 (19,1),
 (19,2),
 (20,1),
 (20,2);
/*!40000 ALTER TABLE `role_has_permissions` ENABLE KEYS */;


--
-- Definition of table `roles`
--

DROP TABLE IF EXISTS `roles`;
CREATE TABLE `roles` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `guard_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `roles`
--

/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` (`id`,`name`,`guard_name`,`created_at`,`updated_at`) VALUES 
 (1,'Admin','web','2022-02-15 03:06:24','2022-02-15 03:06:24'),
 (2,'Cashier','web','2022-02-18 04:41:39','2022-02-18 04:41:39');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;


--
-- Definition of table `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `filename` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `users`
--

/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` (`id`,`name`,`email`,`email_verified_at`,`password`,`filename`,`remember_token`,`created_at`,`updated_at`) VALUES 
 (1,'Benedict Lim','benedictdlim@yahoo.com',NULL,'$2y$10$R/gR8HGNjqJCbMt60.J/5eiUd8kxXRCaMa914LXWsPK1bLR/YgxOO','Benedict Lim.gif',NULL,'2022-02-15 03:06:24','2022-02-21 03:10:36'),
 (2,'Guest','guest@yahoo.com',NULL,'$2y$10$nM0DJthK7jn4JPP5dwvdeOD/TZYf4scoYjr6lNqb.womuXxXK6xSa','Guest.gif',NULL,NULL,'2022-02-21 02:40:03'),
 (5,'Jiwon Lim','jiwonlim1st@yahoo.com',NULL,'$2y$10$lzFxHMoSWfyYw/e2XQMh7eji6Tv2nthL7Onq12jNN9d7OU4z7y94u','Jiwon Lim.gif',NULL,'2022-02-21 01:59:05','2022-02-21 01:59:05');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
