<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('prescriptions', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('patientno', 10)->nullable();
            $table->string('itemdesc', 60)->nullable();
            $table->decimal('qtyprescribed', 18,2)->nullable();
            $table->decimal('qtysold', 18,2)->nullable();
            $table->decimal('remaining', 18,2)->nullable();
            $table->string('dosage', 60)->nullable();
            $table->date('lasttransdate')->nullable();
            $table->time('lasttranstime')->nullable();
            $table->date('reminderdate')->nullable();
            $table->date('refilldate')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('prescriptions');
    }
};
