@extends('layouts.nifty')

@section('content')
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/selectmultiple/choices.min.css') }}">
<script src="{{ asset('mylib/selectmultiple/choices.min.js') }}"></script>

<style>
.footerbutton {
   position: fixed;
   left: 0;
   bottom: 0;
   width: 100%;
   height: 8%;
   margin-bottom: 6px;
   background-color: #fff;
   color: white;
   text-align: center;
}

.table-responsive,
.dataTables_scrollBody {
    overflow: visible !important;
}
 
.table-responsive-disabled .dataTables_scrollBody {
    overflow: hidden !important;
}

/* Datatables Buttons */

   .btn-sm-menu {
      width: 50px;
      height: 30px;
      /*border: 1px solid #474747;*/
   }
   .btn-sm-menu2 {
      width: 120px;
      height: 30px;
      border-radius: 10px;
      border: .5px solid #474747;
   }  
/* End Datatables Buttons */   
/* modal position */
.modal {
  float: left;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
/* end modal position */
.mt-100{margin-top: 100px}body{background: #00B4DB;background: -webkit-linear-gradient(to right, #0083B0, #00B4DB);background: linear-gradient(to right, #0083B0, #00B4DB);color: #514B64;min-height: 100vh}
</style>
    
        <section id="content" class="content">
            <div class="content__header content__boxed overlapping">
                <div class="content__wrap">

                    <!-- Breadcrumb -->
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb mb-0">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="demo-pli-home"></i></a></li>
                            <li class="breadcrumb-item" aria-current="page">User Management</li>
                            <li class="breadcrumb-item"><a href="{{ route('admin.users.index') }}">List of Users</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Edit User</li>
                        </ol>
                    </nav>
                    <!-- END : Breadcrumb -->

                    <h1 class="page-title mb-0 mt-2">Edit User</h1>
                    
                    <p>Complete the form below to Edit User.</p>
                    

                </div>

            </div>

            <div class="content__boxed">
                <div class="content__wrap">

                    <section>
                      <form method="post" action="{{ route('admin.users.update', $user->id) }}" enctype="multipart/form-data" onsubmit="return validateForm()">
                      @csrf
                      @method('PUT')   
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <div class="card h-100">
                                    <div class="card-body">

                                        <h5 class="card-title">Edit User Information</h5>
                                        <div class="col-md-12">
                                            <input TYPE="button" class="form-control btn-primary btn-sm"  VALUE="Click to Select Employee" onclick="javascript:openWindow()" />
                                        </div> 
                                        <br>
                                        
                                        <div class="row">
                                            <div class="col-sm-3">
                                              <!-- text input -->
                                              <div class="form-group">
                                                <label class="form-label">Employee No</label>
                                                <input type="hidden" class="form-control form-control-sm" id="s_employid" name="s_employid"   maxlength="25" value="{{ $user->s_employid }}" readonly>
                                                <input type="text" class="form-control" id="empno" name="empno"  placeholder="Employee No" maxlength="25" value="{{ $user->empno }}" readonly>
                                              </div>
                                            </div>
                                            <div class="col-sm-9">
                                              <div class="form-group">
                                                <label class="form-label">Employee Name</label>
                                                <input type="text" class="form-control" id="name" name="name"  placeholder="Employee Name" maxlength="70" value="{{ $user->name }}" readonly>
                                              </div>
                                            </div>
                                        </div> 

                                        <div class="form-group">
                                            <label class="form-label">Email Address</label>
                                            <input type="email" class="form-control" id="email" name="email" placeholder="Enter Email Address" value="{{ $user->email }}" required>
                                        </div>                                                                                                                 
                                        <div class="form-group">
                                            <label class="form-label">Password</label>
                                            <input type="password" class="form-control" id="password" name="password" placeholder="Enter Password" value="{{ $user->password }}" required>
                                        </div> 
                                        <div class="form-group">
                                            <label class="form-label">Confirm Password</label>
                                            <input type="password" class="form-control" id="cpassword" name="cpassword" placeholder="Enter Password" value="{{ $user->password }}" required>
                                        </div> 

                                        <div class="form-group">
                                          <label class="form-label">Roles</label>

                                          <select name="roles[]" id="roles" class="form-select" multiple="multiple" data-placeholder="Select Role(s)" style="width: 100%;" required>
                                          @foreach($roles as $id => $roles)
                                              <option value="{{ $id }}" {{ (in_array($id, old('roles', [])) || isset($user) && $user->roles()->pluck('name', 'id')->contains($id)) ? 'selected' : '' }}>{{ $roles }}</option>
                                          @endforeach
                                          </select>                                          
                                        </div> 

                                        <br> 

                                        <div class="col-12" style="text-align: center;">
                                          <button class="btn btn-secondary" type="button" onclick="window.location.href='{{ route('admin.users.index') }}'"><i class="fa fa-arrow-circle-left">
                                          </i> Back to List</button>
                                          <button class="btn btn-primary" type="submit" id="mybtn" name="mybtn"><i class="fa fa-save fs-5"></i> Update User</button>
                                        </div>
                                        
                                        <!-- END : Block styled form -->

                                    </div>
                                </div>
                            </div>




                        </div>
                      </form>
                    </section>


                </div>
            </div>


        </section>


<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery-3.5.1.js') }}"></script>

<script>
function validateForm() {
  

  if(document.getElementById('name').value == ""){
    alert( 'Please Enter Name to Continue!' );
    return false;
  }

  if(document.getElementById('email').value == ""){
    alert( 'Please Enter Email Address to Continue' );
    return false;
  }  

  if(document.getElementById('password').value == ""){
    alert( 'Please Enter Password to Continue' );
    return false;
  }  

  if(document.getElementById('password').value != document.getElementById('cpassword').value){
    alert( 'Password and Confirm Password does not Match!' );
    return false;
  }  


  var ok = confirm("Are you sure you want to Update User?");
  if(ok){  
    document.getElementById("mybtn").disabled = true;
    return true; 
  } else {  
    return false; 
  }
}
</script>

<script>
$(document).ready(function(){
    
     var multipleCancelButton = new Choices('#roles', {
        removeItemButton: true,
        //maxItemCount:5,
        //searchResultLimit:5,
        //renderChoiceLimit:5
      }); 
     
     
 });

</script>


@endsection