@extends('layouts.nifty')

@section('content')

<style type="text/css">
imgprofile {
display: block;
max-width: 100%;
}
.preview {
overflow: hidden;
width: 160px; 
height: 160px;
margin: 10px;
border: 1px solid red;
}
.modal-lg{
max-width: 1000px !important;
}
</style>

        <section id="content" class="content">
            <div class="content__header content__boxed overlapping">
                <div class="content__wrap">

                    <!-- Breadcrumb -->
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb mb-0">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-home"></i></a></li>
                            <li class="breadcrumb-item" aria-current="page">Employee 201 Files</li>
                            <li class="breadcrumb-item"><a href="{{ route('admin.employees.index') }}">List of Employees</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Import CSV File</li>
                        </ol>
                    </nav>
                    <!-- END : Breadcrumb -->

                    <h1 class="page-title mb-0 mt-2">Import CSV File</h1>
                    
                    <p>Click browse to import CSV File</p>
                    

                </div>

            </div>
            <div class="content__boxed">
                <div class="content__wrap">

                    <form action="{{ route('saveimportemployees') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <!-- Table with toolbar -->
                        <div class="card">
                            <div class="card-header -4 mb-3">
                                <div class="card-body">
                                  <div class="form-group">
                                        <label>Import Excel File</label>
                                        <input type="file" class="form-control form-control-sm" id="mycsv" name="mycsv" style="height: 37px;" required>
                                  </div>                                   
                                </div>
                            </div>
                            <div class="card-footer" style="text-align: center;">
                              <button type="button" class="btn btn-sm btn-info" onclick="window.location.href='{{ route('admin.employees.index') }}'"><i class="fa fa-arrow-circle-left"></i> Back to View Employee </button>
                              <button type="submit" class="btn btn-sm btn-primary"><i class="fas fa-save"></i> Import Employees</button>
                              <button type="button"  class="btn btn-sm btn-secondary" onclick="window.location.href='{{ route('fetchTemployees') }}'"><i class="fa fa-arrow-circle-right"></i> Go to Imported List</button>
                            </div>

                        </div>
                     </form>
                    <!-- END : Table with toolbar -->

                </div>
            </div>

            <!-- FOOTER -->
            @include('partials.footer')
            <!-- END - FOOTER -->
        </section>




<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery-3.5.1.js') }}"></script>

<link rel="stylesheet" href="{{ asset('mylib/css/cropper.css') }}"  />
<script src="{{ asset('mylib/js/cropper.js') }}" ></script>

<script>
var $modal = $('#modal');
var image = document.getElementById('image');
var cropper;
  
$("body").on("change", ".image", function(e){
    var files = e.target.files;
    var done = function (url) {
      image.src = url;
      $modal.modal('show');
    };
    var reader;
    var file;
    var url;

    if (files && files.length > 0) {
      file = files[0];

      if (URL) {
        done(URL.createObjectURL(file));
      } else if (FileReader) {
        reader = new FileReader();
        reader.onload = function (e) {
          done(reader.result);
        };
        reader.readAsDataURL(file);
      }
    }
});

$modal.on('shown.bs.modal', function () {
    cropper = new Cropper(image, {
    aspectRatio: 1,
    viewMode: 2,
    preview: '.preview'
    });
}).on('hidden.bs.modal', function () {
   cropper.destroy();
   cropper = null;
});

$("#crop").click(function(){
    canvas = cropper.getCroppedCanvas({
      width: 360,
      height: 360,
      });

    canvas.toBlob(function(blob) {
        url = URL.createObjectURL(blob);
        var reader = new FileReader();
        var s_employid = document.getElementById('s_employid').value;
        var id = document.getElementById('id').value;
        
         reader.readAsDataURL(blob); 
         reader.onloadend = function() {
            var base64data = reader.result; 
            $.ajax({
                dataType: "json",
                url: "{{ route('empcropper') }}",
                data: {
                    _token:"{{csrf_token()}}",
                    s_employid:s_employid, 
                    image: base64data
                },
                type: "POST",
                success: function(data){
                    $modal.modal('hide');
                    
                    window.location.href = "{{route('admin.employees.show', '')}}"+"/"+id;
                    //alert("success upload image");
                }
              });

          
         }
    });
})

</script>

@endsection
