@extends('layouts.nifty')

@section('content')
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/selectmultiple/choices.min.css') }}">
<script src="{{ asset('mylib/selectmultiple/choices.min.js') }}"></script>

<style>
.footerbutton {
   position: fixed;
   left: 0;
   bottom: 0;
   width: 100%;
   height: 5%;
   margin-bottom: 0px;
   background-color: #fff;
   color: white;
   text-align: center;
   z-index:99;
}


.table-responsive,
.dataTables_scrollBody {
    overflow: visible !important;
}
 
.table-responsive-disabled .dataTables_scrollBody {
    overflow: hidden !important;
}

/* Datatables Buttons */

   .btn-sm-menu {
      width: 50px;
      height: 30px;
      /*border: 1px solid #474747;*/
   }
   .btn-sm-menu2 {
      width: 120px;
      height: 30px;
      border-radius: 10px;
      border: .5px solid #474747;
   }  
/* End Datatables Buttons */   
/* modal position */
.modal {
  float: left;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
/* end modal position */
.mt-100{margin-top: 100px}body{background: #00B4DB;background: -webkit-linear-gradient(to right, #0083B0, #00B4DB);background: linear-gradient(to right, #0083B0, #00B4DB);color: #514B64;min-height: 100vh}
</style>
    
        <section id="content" class="content">
            <div class="content__header content__boxed overlapping">
                <div class="content__wrap">

                    <!-- Breadcrumb -->
                    <nav aria-label="breadcrumb" style="font-size: 9px;">
                        <ol class="breadcrumb mb-0">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="demo-pli-home"></i></a></li>
                            <li class="breadcrumb-item" aria-current="page">User Management</li>
                            <li class="breadcrumb-item"><a href="{{ route('admin.roles.index') }}">List of Roles</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Edit User Role</li>
                        </ol>
                    </nav>
                    <!-- END : Breadcrumb -->

                    <h1 class="page-title mb-0 mt-2">Edit User Role</h1>
                    
                    <p>Complete the form below to Edit User Role.</p>
                    

                </div>

            </div>

            <div class="content__boxed">
                <div class="content__wrap">
                    <form method="post" action="{{ route('admin.roles.update', [$role->id]) }}" enctype="multipart/form-data" onsubmit="return validateForm()">
                    @csrf
                    @method('PUT') 
                      <section>

                          <div class="row">
                            <div class="col-md-12">

                                <div class="card card-info">
                                  <div class="card-header">
                                    <h3 class="card-title">Role Information</h3>
                                  </div>
                                  <div class="card-body table-responsive p-2" style="overflow-x:auto;">

                                      <div class="form-group">
                                        <label>Role</label>
                                        <input type="text" class="form-control form-control-sm" id="name" name="name" style="width:500px; background-color: #FAEBD7;" placeholder="Enter Role" value="{{ old('name', isset($role) ? $role->name : '') }}" required>
                                      </div> 

                                      <?php 
                                      $element = ""; 
                                      $description = ""; 
                                      $category = ""; 
                                      ?>

                                      <table class="table table-head-fixed text-nowrap">
                                        <?php $x = 1; ?>
                                        @foreach($allpermissions->all() as $value)                                      

                                        
                                          @if($category != $value->category)
                                            <?php $category = $value->category; ?>  
                                            <tr>
                                              <th style="width: 15%; color: #00008B">{{ $value->category }}</th>
                                              <th style="text-align: center">CHECK ALL</th>
                                              <th style="text-align: center">LIST</th>
                                              <th style="text-align: center">CREATE</th>
                                              <th style="text-align: center">EDIT</th>
                                              <th style="text-align: center">DELETE</th>
                                              <th style="text-align: center">IMPORT</th>
                                            </tr>
                                          @endif

                                            
                                            @if($element != $value->element)
                                              <tr > 
                                                    <?php 

                                                    $chkall = $x + 4;
                                                    $checkallid = $x. ", ". $chkall; 
                                                    
                                                    ?>
                                                    <td>&nbsp; &nbsp; &nbsp; &nbsp;{{ $value->description }}</td>
                                                    <?php $element = $value->element; ?>
                                                    <th style = "text-align: center;"><input type = "checkbox" id="{{ $checkallid }}" class="checkbox-column"  onclick = "toggleme(this)"/> </th>
                                                    @foreach($allpermissions->where('element', $element)->all() as $value2)
                                                        <td style = "text-align: center;">{{ Form::checkbox('permission[]', $value2->id, in_array($value2->id, $rolePermissions) ? true : false, array('class' => 'name')) }}</td>
                                                        <?php $x = $x + 1; ?>
                                                    @endforeach
                                              </tr>
                                            @endif
                                        @endforeach
                                      </table>
                                  </div>
                                </div>
                            </div>


                          </div>

                      </section>

                      <div class="footerbutton"  style="text-align: center;">
                          <div class="d-flex flex-wrap justify-content-center mt-2 d-grid gap-1 md-12">
                            <button type="button" class="btn btn-sm btn-info" onclick="window.location.href='{{ route('admin.roles.index') }}'"><i class="fa fa-arrow-circle-left"></i> Back to List</button>
                            <button id="mybtn" name="mybtn" type="submit" class="btn btn-sm btn-primary"><i class="fa fa-save fs-5"></i> Update User Role</button>
                          </div>
                      </div>                            

                    </form>

                </div>
            </div>

            @include('partials.footer')

        </section>


<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery-3.5.1.js') }}"></script>

<script>
function validateForm() {
  
  if(document.getElementById('name').value == ""){
    alert( 'Please Enter Role Name to Continue' );
    return false;
  }  

  var ok = confirm("Are you sure you want to Update Role?");
  if(ok){  
    document.getElementById("mybtn").disabled = true;
    return true; 
  } else {  
    return false; 
  }
}
</script>


<script>
function toggleme(source) {

  var id = source.getAttribute('id');
  
  var array = id.split(', ');
  var start = array[0] - 1;
  var end = array[1];  
   
  var checkboxes = document.getElementsByName('permission[]');

  
  for(var i=start, n=checkboxes.length;i<end;i++) {
  //for(var i=0, n=checkboxes.length;i<end;i++) {
    checkboxes[i].checked = source.checked;
  }
}   
</script>


@endsection