@extends('layouts.nifty')

@section('content')
<body class="login-three">
    <!-- Loader Starts -->
    <div id="load_screen"> 
        <div class="boxes">
            <div class="box">
                <div></div><div></div><div></div><div></div>
            </div>
            <div class="box">
                <div></div><div></div><div></div><div></div>
            </div>
            <div class="box">
                <div></div><div></div><div></div><div></div>
            </div>
            <div class="box">
                <div></div><div></div><div></div><div></div>
            </div>
        </div>
        <p class="xato-loader-heading">Xato</p>
    </div>
    <!--  Loader Ends -->
    <!-- Main Body Starts -->
    <div class="container-fluid login-three-container">
        <div class="row main-login-three">
            <div class="col-xl-3 col-lg-3 col-md-2 d-none d-md-block p-0">
                <div class="login-bg"></div>
            </div>
            <div class="col-xl-4 col-lg-4 col-md-4">
                <div class="d-flex flex-column justify-content-between h-100 center-area">
                    <a>Forget Password 2</a>
                    <div class="form-1">
                        <p class="text-dark">To get your password</p>
                        <h2 class="text-black">Enter your email address</h2>
                    </div>
                    <div class="form-2">
                        <p class="text-dark">Verification code has been sent</p>
                        <h2 class="text-black">Enter code and set a new password</h2>
                    </div>
                    <p class="text-dark d-none d-md-block m-0">Social Network</p>
                </div>
            </div>
            <div class="col-xl-5 col-lg-5 col-md-6">
                <div class="d-flex flex-column justify-content-between h-100 right-area">
                    <a class="btn btn-sm w-25 bg-gradient-primary text-white ml-auto" href="auth_signup_3.html">Sign up Now</a>
                    <div class="form-1">
                        <div class="login-three-inputs mt-3">
                            <input type="email" placeholder="Email">
                            <i class="las la-envelope"></i> 
                        </div>
                        <div class="cp-container">
                            <button class="text-white btn bg-gradient-primary" id="getCodeButton">Get Validation Code</button>
                        </div>
                    </div>
                    <div class="form-2">
                        <form method="get" class="digit-group mt-5" data-group-name="digits" data-autosubmit="false" autocomplete="off">
                            <input type="text" id="digit-1" name="digit-1" data-next="digit-2" />
                            <input type="text" id="digit-2" name="digit-2" data-next="digit-3" data-previous="digit-1" />
                            <input type="text" id="digit-3" name="digit-3" data-next="digit-4" data-previous="digit-2" />
                            <span class="splitter">&ndash;</span>
                            <input type="text" id="digit-4" name="digit-4" data-next="digit-5" data-previous="digit-3" />
                            <input type="text" id="digit-5" name="digit-5" data-next="digit-6" data-previous="digit-4" />
                            <input type="text" id="digit-6" name="digit-6" data-previous="digit-5" />
                        </form>
                        <div class="login-three-inputs mt-4">
                            <input type="password" placeholder="New Password" required/>
                            <i class="las la-lock"></i> 
                        </div>
                        <div class="login-three-inputs mt-3">
                            <input type="password" placeholder="Confirm Password" required/>
                            <i class="las la-lock"></i> 
                        </div>
                        <div class="cp-container">
                            <button class="text-white btn bg-gradient-primary">Change Password</button>
                            <a class="font-13 text-primary pointer" id="changeEmailAddress">Change your email address</a>
                        </div>
                    </div>
                    <div class="login-three-social social-logins mt-4">
                        <div class="social-btn bg-gradient-primary">
                            <a href="#" class="fb-btn">
                                <i class="lab la-facebook-f"></i>
                            </a>
                        </div>
                        <div class="social-btn bg-gradient-primary">
                            <a href="#" class="twitter-btn">
                                <i class="lab la-twitter"></i>
                            </a>
                        </div>
                        <div class="social-btn bg-gradient-primary">
                            <a href="#" class="google-btn">
                                <i class="lab la-google-plus"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>  
    </div>
    <!-- Main Body Ends -->
    <!-- Page Level Plugin/Script Starts -->
    <script src="assets/js/loader.js"></script>
    <script src="assets/js/libs/jquery-3.1.1.min.js"></script>
    <script src="bootstrap/js/bootstrap.min.js"></script>
    <script src="assets/js/authentication/auth_2.js"></script>
    <!-- Page Level Plugin/Script Ends -->
</body>


<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Reset Password') }}</div>

                <div class="card-body">
                    <form method="POST" action="{{ route('password.update') }}">
                        @csrf

                        <input type="hidden" name="token" value="{{ $token }}">

                        <div class="row mb-3">
                            <label for="email" class="col-md-4 col-form-label text-md-end">{{ __('Email Address') }}</label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ $email ?? old('email') }}" required autocomplete="email" autofocus>

                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label for="password" class="col-md-4 col-form-label text-md-end">{{ __('Password') }}</label>

                            <div class="col-md-6">
                                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="new-password">

                                @error('password')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-3">
                            <label for="password-confirm" class="col-md-4 col-form-label text-md-end">{{ __('Confirm Password') }}</label>

                            <div class="col-md-6">
                                <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required autocomplete="new-password">
                            </div>
                        </div>

                        <div class="row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    {{ __('Reset Password') }}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
