@extends('layouts.nifty')

@section('content')
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/selectmultiple/choices.min.css') }}">
<script src="{{ asset('mylib/selectmultiple/choices.min.js') }}"></script>

<style>
.footerbutton {
   position: fixed;
   left: 0;
   bottom: 0;
   width: 100%;
   height: 8%;
   margin-bottom: 0px;
   background-color: #fff;
   color: white;
   text-align: center;
   z-index:99;
}

.table-responsive,
.dataTables_scrollBody {
    overflow: visible !important;
}
 
.table-responsive-disabled .dataTables_scrollBody {
    overflow: hidden !important;
}

/* Datatables Buttons */

   .btn-sm-menu {
      width: 50px;
      height: 30px;
      /*border: 1px solid #474747;*/
   }
   .btn-sm-menu2 {
      width: 120px;
      height: 30px;
      border-radius: 10px;
      border: .5px solid #474747;
   }  
/* End Datatables Buttons */   
/* modal position */
.modal {
  float: left;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
/* end modal position */
.mt-100{margin-top: 100px}body{background: #00B4DB;background: -webkit-linear-gradient(to right, #0083B0, #00B4DB);background: linear-gradient(to right, #0083B0, #00B4DB);color: #514B64;min-height: 100vh}
</style>
		
        <section id="content" class="content">
            <div class="content__header content__boxed overlapping">
                <div class="content__wrap">

                    <nav aria-label="breadcrumb" style="font-size: 9px;">
                        <ol class="breadcrumb mb-0">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-home"></i></a></li>
                            <li class="breadcrumb-item"><a href="{{ route('admin.reminders.index') }}">My Calendar</a></li>
                            <li class="breadcrumb-item active" aria-current="page">New Reminder</li>
                        </ol>
                    </nav>



                    <h1 class="page-title mb-0 mt-2">Assigned New Event</h1>
                    
                    <p>Complete the form below to Assigned New Event.</p>
                    

                </div>

            </div>

            <div class="content__boxed">
                <div class="content__wrap">

                    <section>
                      <form method="post" action="{{ route('admin.reminders.store') }}" enctype="multipart/form-data" onsubmit="return validateForm()">
                      @csrf
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <div class="card h-100">
                                    <div class="card-body">

                                      <div class="form-group">
                                            <label>Title</label>
                                            <input type="text" class="form-control mb-2" id="title" name="title"  placeholder="Title" maxlength="100" onkeyup="this.value = this.value.toUpperCase();" required>
                                      </div>
                                      <div class="form-group">
                                            <label>Description</label>
                                            <textarea class="form-control mb-2" id="description" name="description" rows="3"></textarea>
                                      </div>
                                      <div class="row">
                                        <div class="col-sm-6">
                                          <div class="form-group">
                                            <label>Date Start</label>
                                            <input type="datetime-local" class="form-control mb-2" id="start" name="start"  placeholder="Date Start" defaultValue ="06:00:00"  required>
                                          </div>
                                        </div>
                                        <div class="col-sm-6">
                                          <!-- text input -->
                                          <div class="form-group">
                                            <label>Date End</label>
                                            <input type="datetime-local" class="form-control mb-2" id="end" name="end"  placeholder="Date End"  required>
                                          </div>
                                        </div>
                                      </div>
                                      <div class="row">

                                        <div class="col-sm-6">
                                          <div class="form-group">
                                            <label>Reminder Date:</label>
                                            <input type="date" class="form-control mb-2" id="send_at" name="send_at">
                                          </div>
                                        </div>
                                        <div class="col-sm-6">
                                          <div class="form-group">
                                            <label>Category:</label>
                                            <select class="form-select mb-2 select2" id="category" name = "category" style="width: 100%;">
                                              <option value = "">Select Category</option>
                                              @foreach($reminderscats as $categories)
                                                <option value="{{ $categories->category }}">{{ $categories->category }}</option>
                                              @endforeach
                                            </select>
                                          </div>
                                        </div>

                                      </div>

                                      <div class="form-group">
                                        <label>Photo:</label>
                                        <input type="file" class="form-control" id="filename" name="filename" style="height:35px" accept=".jpg, .png">
                                      </div>

                                    </div>
                                    @if( (new Jenssegers\Agent\Agent)->isDesktop())
                                      <div class="card-footer" style="text-align: center;">
                                        <button class="btn btn-secondary" type="button" onclick="window.location.href='{{ route('home') }}'"><i class="fa fa-home">
                                              </i> Home</button>
                                        <button id="mybtn" name="mybtn" class="btn btn-primary" type="submit"><i class="fa fa-save fs-5"></i> Save Reminder</button>
                                      </div>
                                        

                                    @else
                                      <div class="footerbutton" >
                                        <div class="d-flex flex-wrap justify-content-center mt-2 d-grid md-12">
                                            <div class="btn-group" style="width:100%;  border-color: coral; border: solid 2px; padding-left: 2px; padding-right: 2px;">
                                              <button type="button" class="btn btn-secondary" onclick="window.location.href='{{ route('home') }}'" style="width: 50%;"><i class="fa fa-home"></i> Home</button>
                                              <button id="mybtn" name="mybtn" type="submit" class="btn btn-primary" style="width: 50%;"><i class="fa fa-save fs-5"></i> Save Reminder</button>
                                            </div>
                                        </div>
                                      </div>
                                    @endif




                                </div>
                            </div>


   

                        </div>
                      </form>
                    </section>


                </div>
            </div>
            <!-- FOOTER -->
            @include('partials.footer')
            <!-- END - FOOTER -->

        </section>



<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery-3.5.1.js') }}"></script>

<!--<script src="{{ asset('dist/js/pages/dashboard2.js') }}"></script>-->
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/dataTables.rowReorder.min.css') }}"> 
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/dataTables.responsive.min.css') }}"> 


<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/jquery.dataTables.css') }}"> 
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/buttons.dataTables.min.css') }}"> 
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/jquery.dataTables.min.css') }}"> 
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/dataTables.rowReorder.min.css') }}"> 
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/dataTables.responsive.min.css') }}"> 
<link rel="stylesheet" href="{{ asset('mylib/uploadfiles/image-uploader.min.css') }}"> 

<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery.dataTables.min.js') }}"></script>
<!--<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery.dataTables.min2.js') }}"></script> -->
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.buttons.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jszip.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/pdfmake.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/vfs_fonts.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.html5.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.colVis.min.js') }}"></script> 

<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.rowReorder.min.js') }}"></script> 
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.responsive.min.js') }}"></script> 
<script type="text/javascript" src="{{ asset('mylib/uploadfiles/image-uploader.min.js') }}"></script>


<script language="javascript"> 
function openWindow() { 
  window.open("{{route('tablelist.allemployees.index')}}", "_blank", "toolbar=yes, scrollbars=yes, resizable=yes, top=100, left=200, width=1200, height=650"); 
} 
</script>    

<script>
function validateForm() {
  if (document.getElementById('s_employid').value == "") {
    alert("Please Select Employee to Continue!");
    return false;
  }
  if (document.getElementById('leavetype').value == "") {
    alert("Please Select Leave Type to Continue!");
    return false;
  }
  if (document.getElementById('credit').value == "") {
    alert("Please Enter Leave Credit to Continue!");
    return false;
  }
  
  var ok = confirm("Are you sure you want to Save Record?");
  if(ok){  
    return true; 
  } else {  
    return false; 
  }
}
</script>
<script>
function cleartext1() {
  document.getElementById('empno').value = "";
  document.getElementById('name').value = "";
  document.getElementById('s_employid').value = "";
}
</script>



@endsection