<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;
//use App\Http\Controllers\RoleController;
//use App\Http\Controllers\UserController;
//use App\Http\Controllers\ProductController;
use App\Http\Controllers\NotificationController;
use App\Http\Controllers\Auth\ChangePasswordController;
use App\Http\Controllers\Auth\ChangeEmailController;
//ADMIN #####################################################
use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\Admin\ElementController;
use App\Http\Controllers\Admin\PermissioncatController;
use App\Http\Controllers\Admin\RolesController;
use App\Http\Controllers\Admin\EmployeeController;
use App\Http\Controllers\Admin\ProfileController;
use App\Http\Controllers\Admin\MyaccountController;
//END ADMIN #################################################

//PROFILING #####################################################
use App\Http\Controllers\Profiling\PatientController;
use App\Http\Controllers\Profiling\TransactionController;
use App\Http\Controllers\Profiling\ReminderController;

//TABLELIST #####################################################
use App\Http\Controllers\Tablelist\AllpatientController;

//END TABLELIST #################################################

//MAINTENANCE #####################################################
use App\Http\Controllers\Maintenance\BranchController;
use App\Http\Controllers\Maintenance\DosageController;
//END MAINTENANCE #####################################################



/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth/login');
});

Route::get('/', function () {
    if (Auth::check()) {
        return redirect()->route('home');
    }
    return view('auth/login');
})->name('auth/login');

// START VERIFICATION
Auth::routes(['verify' => true]);

Route::get('/foo', function () {
    Artisan::call('storage:link');
});

Route::get('detect', function() 
{ 
    $agent = new \Jenssegers\Agent\Agent; 
    //$result = $agent->isMobile(); 
    //dd($result); 
}); 

Auth::routes();

Route::get('/home', [HomeController::class, 'index'])->name('home');
Route::get('/fetchNoti', [NotificationController::class, 'fetchNoti'])->name('fetchNoti');
Route::get('change_password', [ChangePasswordController::class, 'showChangePasswordForm'])->name('auth.change_password');
Route::patch('change_password', [ChangePasswordController::class, 'changePassword'])->name('auth.change_password');
Route::get('change_email', [ChangeEmailController::class, 'change_email'])->name('auth.change_email');
Route::patch('save_email', [ChangeEmailController::class, 'save_email'])->name('auth.save_email');

Route::get('myuploads/{userid}/{foldername}/{filename}', function ($userid, $foldername, $filename)
{
    //$path = app_path('uploads/resume') . '/' . $filename;
    $path = storage_path(). '/app/uploads/'. $foldername. '/' . $filename;
    $file = File::get($path);
    $type = File::mimeType($path);
    if (Auth::user()->id == $userid) {
        $response = Response::make($file, 200);
        $response->header("Content-Type", $type);
        return $response;
    } else {
        abort(401);
    }
})->name('route.uploads')->middleware('auth');



/*
Route::group(['middleware' => ['auth']], function() {
    Route::resource('roles', RoleController::class);
    Route::resource('users', UserController::class);
    Route::resource('products', ProductController::class);
});
*/

// ADMIN ####################################################################################################
    Route::group(['middleware' => ['auth', 'verified'], 'prefix' => 'admin', 'as' => 'admin.'], function () {
        Route::resource('users', UserController::class);
        Route::resource('roles', RolesController::class);
        Route::resource('elements', ElementController::class);
        Route::resource('permissioncats', PermissioncatController::class);
        Route::resource('permissions', PermissionsController::class);
        Route::resource('employees', EmployeeController::class);
        Route::resource('profiles', ProfileController::class);
        Route::resource('myaccounts', MyaccountController::class);
        
    });
    //****ElementController****
    Route::post('getElements', [ElementController::class, 'getElements'])->name('getElements');
    Route::post('updateElements', [ElementController::class, 'updateElements'])->name('updateElements');
    Route::post('deleteElements', [ElementController::class, 'deleteElements'])->name('deleteElements');
    //****PermissioncatController
    Route::post('getpermissioncat', [PermissioncatController::class, 'getpermissioncat'])->name('getpermissioncat');
    Route::post('updatecatpermission', [PermissioncatController::class, 'updatecatpermission'])->name('updatecatpermission');
    //****EmployeeController
    Route::post('fetchProvince', [EmployeeController::class, 'fetchProvince'])->name('fetchProvince');
    Route::post('fetchCity', [EmployeeController::class, 'fetchCity'])->name('fetchCity');
    Route::post('fetchBarangay', [EmployeeController::class, 'fetchBarangay'])->name('fetchBarangay');
    Route::get('fetchtdependents', [EmployeeController::class, 'fetchtdependents'])->name('fetchtdependents');
    Route::post('savetdependents', [EmployeeController::class, 'savetdependents'])->name('savetdependents');
    Route::post('deletetdependents', [EmployeeController::class, 'deletetdependents'])->name('deletetdependents');
    Route::get('fetchteducations', [EmployeeController::class, 'fetchteducations'])->name('fetchteducations');
    Route::post('saveteducations', [EmployeeController::class, 'saveteducations'])->name('saveteducations');
    Route::post('deleteteducations', [EmployeeController::class, 'deleteteducations'])->name('deleteteducations');
    Route::get('fetchtcertifications', [EmployeeController::class, 'fetchtcertifications'])->name('fetchtcertifications');
    Route::post('savetcertifications', [EmployeeController::class, 'savetcertifications'])->name('savetcertifications');
    Route::post('deletetcertifications', [EmployeeController::class, 'deletetcertifications'])->name('deletetcertifications');
    //****EmployeeController-- EDIT
    Route::get('fetchtdependents2', [EmployeeController::class, 'fetchtdependents2'])->name('fetchtdependents2');
    Route::post('savetdependents2', [EmployeeController::class, 'savetdependents2'])->name('savetdependents2');
    Route::get('fetchteducations2', [EmployeeController::class, 'fetchteducations2'])->name('fetchteducations2');
    Route::post('saveteducations2', [EmployeeController::class, 'saveteducations2'])->name('saveteducations2');
    Route::get('fetchtcertifications2', [EmployeeController::class, 'fetchtcertifications2'])->name('fetchtcertifications2');
    Route::post('savetcertifications2', [EmployeeController::class, 'savetcertifications2'])->name('savetcertifications2');
    Route::get('editcoe/{id}', [EmployeeController::class, 'editcoe'])->name('editcoe');
    Route::post('savecoe/{id}', [EmployeeController::class, 'savecoe'])->name('savecoe');
    Route::get('printcoe/{id}', [EmployeeController::class, 'printcoe'])->name('printcoe');
    Route::get('changepic/{id}', [EmployeeController::class, 'changepic'])->name('changepic');
    Route::post('empcropper', [EmployeeController::class, 'empcropper'])->name('empcropper');
    Route::get('importemployees', [EmployeeController::class, 'importemployees'])->name('importemployees');
    Route::post('saveimportemployees', [EmployeeController::class, 'saveimportemployees'])->name('saveimportemployees');
    Route::get('employeebatchstatus', [EmployeeController::class, 'batchstatus'])->name('employeebatchstatus');
    Route::get('employeebatchstatus2', [EmployeeController::class, 'batchstatus2'])->name('employeebatchstatus2'); 
    Route::get('deleteallemployeestemps', [EmployeeController::class, 'deleteall'])->name('deleteallemployeestemps');
    Route::get('deletebatchesemployees', [EmployeeController::class, 'deletebatches'])->name('deletebatchesemployees');
    Route::get('EmployeetempArtisan', [EmployeeController::class, 'EmployeetempArtisan'])->name('EmployeetempArtisan');  
    Route::get('fetchTemployees', [EmployeeController::class, 'fetchTemployees'])->name('fetchTemployees'); 
    Route::get('updateemployees', [EmployeeController::class, 'updateimported'])->name('updateemployees');
    Route::get('empbatchstatus', [EmployeeController::class, 'empbatchstatus'])->name('empbatchstatus');
    Route::get('empbatchstatus2', [EmployeeController::class, 'empbatchstatus2'])->name('empbatchstatus2');
    Route::get('deleteemployeebatch', [EmployeeController::class, 'deleteemployeebatch'])->name('deleteemployeebatch');
    Route::post('empnocheck', [EmployeeController::class, 'empnocheck'])->name('empnocheck');
    //ProfileController
    Route::get('profilechangepic/{id}', [ProfileController::class, 'profilechangepic'])->name('profilechangepic');
    Route::post('profileempcropper', [ProfileController::class, 'profileempcropper'])->name('profileempcropper');
    
// END ADMIN ####################################################################################################

// PROFILING ####################################################################################################
    Route::group(['middleware' => ['auth', 'verified'], 'prefix' => 'profiling', 'as' => 'profiling.'], function () {
        Route::resource('patients', PatientController::class);
        Route::resource('transactions', TransactionController::class);
        Route::resource('reminders', ReminderController::class);
    });
    //TransactionController
    Route::get('fetchprescriptions', [TransactionController::class, 'fetchprescriptions'])->name('fetchprescriptions');
    Route::post('savepatient', [TransactionController::class, 'savepatient'])->name('savepatient');
    Route::post('saveprescription', [TransactionController::class, 'saveprescription'])->name('saveprescription');
    Route::get('fetchpurchasetemps', [TransactionController::class, 'fetchpurchasetemps'])->name('fetchpurchasetemps');
    Route::post('getBuyItem', [TransactionController::class, 'getBuyItem'])->name('getBuyItem');
    Route::post('savepurchasetemps', [TransactionController::class, 'savepurchasetemps'])->name('savepurchasetemps');
    Route::post('getPrescription', [TransactionController::class, 'getPrescription'])->name('getPrescription');
    Route::post('updateprescription', [TransactionController::class, 'updateprescription'])->name('updateprescription');
    Route::post('deleteprescriptions', [TransactionController::class, 'deleteprescriptions'])->name('deleteprescriptions');
    Route::post('getPurchasetemp', [TransactionController::class, 'getPurchasetemp'])->name('getPurchasetemp');
    Route::post('Updatepurchasetemp', [TransactionController::class, 'Updatepurchasetemp'])->name('Updatepurchasetemp');
    Route::post('deletepurchasetemp', [TransactionController::class, 'deletepurchasetemp'])->name('deletepurchasetemp');
    Route::post('Canceltransactions', [TransactionController::class, 'Canceltransactions'])->name('Canceltransactions');
    Route::post('clearpurchasetemps', [TransactionController::class, 'clearpurchasetemps'])->name('clearpurchasetemps');
    Route::get('fetchpurchasetrans', [TransactionController::class, 'fetchpurchasetrans'])->name('fetchpurchasetrans');

    //PatientController
    Route::get('fetctpatpurchases', [PatientController::class, 'fetctpatpurchases'])->name('fetctpatpurchases');
    Route::get('fetchpatpurchasetrans', [PatientController::class, 'fetchpatpurchasetrans'])->name('fetchpatpurchasetrans');
    //ReminderController
    Route::get('viewreminderscal', [ReminderController::class, 'viewreminderscal'])->name('viewreminderscal');    
// END PROFILING ####################################################################################################


// TABLELIST ####################################################################################################
    Route::group(['middleware' => ['auth', 'verified'], 'prefix' => 'tablelist', 'as' => 'tablelist.'], function () {
        Route::resource('allpatients', AllpatientController::class);
    });
// END TABLELIST ####################################################################################################

// MAINTENANCE ####################################################################################################
    Route::group(['middleware' => ['auth', 'verified'], 'prefix' => 'maintenance', 'as' => 'maintenance.'], function () {
        Route::resource('branches', BranchController::class);
        Route::resource('dosages', DosageController::class);
    });
    //BranchController
    Route::post('branchcodecheck', [BranchController::class, 'branchcodecheck'])->name('branchcodecheck');   
    //DosageController 
    Route::post('dosagecheck', [DosageController::class, 'dosagecheck'])->name('dosagecheck');
    Route::post('getdosages', [DosageController::class, 'getdosages'])->name('getdosages');
    Route::post('updatedosage', [DosageController::class, 'updatedosage'])->name('updatedosage');
    Route::post('deletedosage', [DosageController::class, 'deletedosage'])->name('deletedosage');     
// END MAINTENANCE ####################################################################################################

  
/*Route::group(['middleware' => ['auth']], function() {
    Route::resource('roles', RoleController::class);
    Route::resource('users', UserController::class);
    Route::resource('products', ProductController::class);
});*/
